#ifdef __cplusplus
extern "C" { 
#endif 

#undef ROOT_TYPE_DECLARATION 
#define ROOT_TYPE_DECLARATION(Type) \
typedef struct Type ##_tag Type ## _t; \
typedef Type ## _t * Type ## _p; \
typedef Type ## _t const* const_ ## Type ## _p 



#undef ROOT_DELETABLE_DECLARATIONVIRT
#define ROOT_DELETABLE_DECLARATIONVIRT(Type) \
void Type ## _delete ( Type ## _p p )

#undef ROOT_TOBJECT_DECLARATIONVIRT
#define ROOT_TOBJECT_DECLARATIONVIRT(Type) \
void Type ## _Draw ( Type ## _p p, const char * option ); \
TObject_p Type ## _FindObject ( Type ## _p p, const char * name ); \
const char * Type ## _GetName ( Type ## _p p ); \
TClass_p Type ## _IsA ( Type ## _p p ); \
int Type ## _IsFolder ( Type ## _p p ); \
int Type ## _IsEqual ( Type ## _p p, TObject_p obj ); \
int Type ## _IsSortable ( Type ## _p p ); \
void Type ## _Paint ( Type ## _p p, const char * option ); \
void Type ## _printObj ( Type ## _p p, const char * option ); \
void Type ## _RecursiveRemove ( Type ## _p p, TObject_p obj ); \
void Type ## _SaveAs ( Type ## _p p, const char * filename, const char * option ); \
void Type ## _UseCurrentStyle ( Type ## _p p ); \
int  Type ## _Write ( Type ## _p p, const char * name, int  option, int  bufsize )

#undef ROOT_TNAMED_DECLARATIONVIRT
#define ROOT_TNAMED_DECLARATIONVIRT(Type) \
void Type ## _SetName ( Type ## _p p, const char * name ); \
void Type ## _SetNameTitle ( Type ## _p p, const char * name, const char * title ); \
void Type ## _SetTitle ( Type ## _p p, const char * name )

#undef ROOT_TDICTIONARY_DECLARATIONVIRT
#define ROOT_TDICTIONARY_DECLARATIONVIRT(Type) \


#undef ROOT_TCLASS_DECLARATIONVIRT
#define ROOT_TCLASS_DECLARATIONVIRT(Type) \


#undef ROOT_TFORMULA_DECLARATIONVIRT
#define ROOT_TFORMULA_DECLARATIONVIRT(Type) \
int  Type ## _Compile ( Type ## _p p, const char * expression ); \
void Type ## _Clear ( Type ## _p p, const char * option ); \
double Type ## _DefinedValue ( Type ## _p p, int  code ); \
double Type ## _Eval ( Type ## _p p, double x, double y, double z, double t ); \
double Type ## _EvalParOld ( Type ## _p p, double * x, double * params ); \
double Type ## _EvalPar ( Type ## _p p, double * x, double * params ); \
int  Type ## _GetNdim ( Type ## _p p ); \
int  Type ## _GetNpar ( Type ## _p p ); \
int  Type ## _GetNumber ( Type ## _p p ); \
int  Type ## _GetParNumber ( Type ## _p p, const char * name ); \
int Type ## _IsLinear ( Type ## _p p ); \
int Type ## _IsNormalized ( Type ## _p p ); \
void Type ## _SetNumber ( Type ## _p p, int  number ); \
void Type ## _SetParameter ( Type ## _p p, const char * name, double parvalue ); \
void Type ## _SetParameters ( Type ## _p p, double * params ); \
void Type ## _SetParName ( Type ## _p p, int  ipar, const char * name ); \
void Type ## _SetParNames ( Type ## _p p, const char * name0, const char * name1, const char * name2, const char * name3, const char * name4, const char * name5, const char * name6, const char * name7, const char * name8, const char * name9, const char * name10 ); \
void Type ## _Update ( Type ## _p p )

#undef ROOT_TATT3D_DECLARATIONVIRT
#define ROOT_TATT3D_DECLARATIONVIRT(Type) \


#undef ROOT_TATTAXIS_DECLARATIONVIRT
#define ROOT_TATTAXIS_DECLARATIONVIRT(Type) \
int  Type ## _GetNdivisions ( Type ## _p p ); \
int  Type ## _GetAxisColor ( Type ## _p p ); \
int  Type ## _GetLabelColor ( Type ## _p p ); \
int  Type ## _GetLabelFont ( Type ## _p p ); \
double Type ## _GetLabelOffset ( Type ## _p p ); \
double Type ## _GetLabelSize ( Type ## _p p ); \
double Type ## _GetTitleOffset ( Type ## _p p ); \
double Type ## _GetTitleSize ( Type ## _p p ); \
double Type ## _GetTickLength ( Type ## _p p ); \
int  Type ## _GetTitleFont ( Type ## _p p ); \
void Type ## _SetNdivisions ( Type ## _p p, int  n, int optim ); \
void Type ## _SetAxisColor ( Type ## _p p, int  color ); \
void Type ## _SetLabelColor ( Type ## _p p, int  color ); \
void Type ## _SetLabelFont ( Type ## _p p, int  font ); \
void Type ## _SetLabelOffset ( Type ## _p p, double offset ); \
void Type ## _SetLabelSize ( Type ## _p p, double size ); \
void Type ## _SetTickLength ( Type ## _p p, double length ); \
void Type ## _SetTitleOffset ( Type ## _p p, double offset ); \
void Type ## _SetTitleSize ( Type ## _p p, double size ); \
void Type ## _SetTitleColor ( Type ## _p p, int  color ); \
void Type ## _SetTitleFont ( Type ## _p p, int  font )

#undef ROOT_TATTBBOX_DECLARATIONVIRT
#define ROOT_TATTBBOX_DECLARATIONVIRT(Type) \


#undef ROOT_TATTCANVAS_DECLARATIONVIRT
#define ROOT_TATTCANVAS_DECLARATIONVIRT(Type) \


#undef ROOT_TATTFILL_DECLARATIONVIRT
#define ROOT_TATTFILL_DECLARATIONVIRT(Type) \
void Type ## _SetFillColor ( Type ## _p p, int  color ); \
void Type ## _SetFillStyle ( Type ## _p p, int  style )

#undef ROOT_TATTIMAGE_DECLARATIONVIRT
#define ROOT_TATTIMAGE_DECLARATIONVIRT(Type) \


#undef ROOT_TATTLINE_DECLARATIONVIRT
#define ROOT_TATTLINE_DECLARATIONVIRT(Type) \
int  Type ## _GetLineColor ( Type ## _p p ); \
int  Type ## _GetLineStyle ( Type ## _p p ); \
int  Type ## _GetLineWidth ( Type ## _p p ); \
void Type ## _ResetAttLine ( Type ## _p p, const char * option ); \
void Type ## _SetLineAttributes ( Type ## _p p ); \
void Type ## _SetLineColor ( Type ## _p p, int  lcolor ); \
void Type ## _SetLineStyle ( Type ## _p p, int  lstyle ); \
void Type ## _SetLineWidth ( Type ## _p p, int  lwidth )

#undef ROOT_TATTMARKER_DECLARATIONVIRT
#define ROOT_TATTMARKER_DECLARATIONVIRT(Type) \
int  Type ## _GetMarkerColor ( Type ## _p p ); \
int  Type ## _GetMarkerStyle ( Type ## _p p ); \
double Type ## _GetMarkerSize ( Type ## _p p ); \
void Type ## _ResetAttMarker ( Type ## _p p, const char * option ); \
void Type ## _SetMarkerAttributes ( Type ## _p p ); \
void Type ## _SetMarkerColor ( Type ## _p p, int  tcolor ); \
void Type ## _SetMarkerStyle ( Type ## _p p, int  mstyle ); \
void Type ## _SetMarkerSize ( Type ## _p p, int  msize )

#undef ROOT_TATTPAD_DECLARATIONVIRT
#define ROOT_TATTPAD_DECLARATIONVIRT(Type) \
void Type ## _ResetAttPad ( Type ## _p p, const char * option ); \
void Type ## _SetBottomMargin ( Type ## _p p, double bottommargin ); \
void Type ## _SetLeftMargin ( Type ## _p p, double leftmargin ); \
void Type ## _SetRightMargin ( Type ## _p p, double rightmargin ); \
void Type ## _SetTopMargin ( Type ## _p p, double topmargin ); \
void Type ## _SetMargin ( Type ## _p p, double left, double right, double bottom, double top ); \
void Type ## _SetAfile ( Type ## _p p, double afile ); \
void Type ## _SetXfile ( Type ## _p p, double xfile ); \
void Type ## _SetYfile ( Type ## _p p, double yfile ); \
void Type ## _SetAstat ( Type ## _p p, double astat ); \
void Type ## _SetXstat ( Type ## _p p, double xstat ); \
void Type ## _SetYstat ( Type ## _p p, double ystat )

#undef ROOT_TATTPARTICLE_DECLARATIONVIRT
#define ROOT_TATTPARTICLE_DECLARATIONVIRT(Type) \


#undef ROOT_TATTTEXT_DECLARATIONVIRT
#define ROOT_TATTTEXT_DECLARATIONVIRT(Type) \
int  Type ## _GetTextAlign ( Type ## _p p ); \
double Type ## _GetTextAngle ( Type ## _p p ); \
int  Type ## _GetTextColor ( Type ## _p p ); \
int  Type ## _GetTextFont ( Type ## _p p ); \
double Type ## _GetTextSize ( Type ## _p p ); \
void Type ## _ResetAttText ( Type ## _p p, const char * toption ); \
void Type ## _SetTextAttributes ( Type ## _p p ); \
void Type ## _SetTextAlign ( Type ## _p p, int  align ); \
void Type ## _SetTextAngle ( Type ## _p p, double tangle ); \
void Type ## _SetTextColor ( Type ## _p p, int  tcolor ); \
void Type ## _SetTextFont ( Type ## _p p, int  tfont ); \
void Type ## _SetTextSize ( Type ## _p p, double tsize ); \
void Type ## _SetTextSizePixels ( Type ## _p p, int  npixels )

#undef ROOT_THSTACK_DECLARATIONVIRT
#define ROOT_THSTACK_DECLARATIONVIRT(Type) \


#undef ROOT_TF1_DECLARATIONVIRT
#define ROOT_TF1_DECLARATIONVIRT(Type) \
double Type ## _Derivative ( Type ## _p p, double x, double * params, double epsilon ); \
double Type ## _Derivative2 ( Type ## _p p, double x, double * params, double epsilon ); \
double Type ## _Derivative3 ( Type ## _p p, double x, double * params, double epsilon ); \
Type ## _p Type ## _drawCopyTF1 ( Type ## _p p, const char * option ); \
TObject_p Type ## _DrawDerivative ( Type ## _p p, const char * option ); \
TObject_p Type ## _DrawIntegral ( Type ## _p p, const char * option ); \
void Type ## _DrawF1 ( Type ## _p p, const char * formula, double xmin, double xmax, const char * option ); \
void Type ## _FixParameter ( Type ## _p p, int  ipar, double value ); \
double Type ## _getMaximumTF1 ( Type ## _p p, double xmin, double xmax, double epsilon, double maxiter, int logx ); \
double Type ## _getMinimumTF1 ( Type ## _p p, double xmin, double xmax, double epsilon, double maxiter, int logx ); \
double Type ## _GetMaximumX ( Type ## _p p, double xmin, double xmax, double epsilon, double maxiter, int logx ); \
double Type ## _GetMinimumX ( Type ## _p p, double xmin, double xmax, double epsilon, double maxiter, int logx ); \
int  Type ## _GetNDF ( Type ## _p p ); \
int  Type ## _GetNpx ( Type ## _p p ); \
int  Type ## _GetNumberFreeParameters ( Type ## _p p ); \
int  Type ## _GetNumberFitPoints ( Type ## _p p ); \
double Type ## _GetParError ( Type ## _p p, int  ipar ); \
double Type ## _GetProb ( Type ## _p p ); \
int  Type ## _getQuantilesTF1 ( Type ## _p p, int  nprobSum, double * q, double * probSum ); \
double Type ## _getRandomTF1 ( Type ## _p p, double xmin, double xmax ); \
double Type ## _GetSave ( Type ## _p p, double * x ); \
double Type ## _GetX ( Type ## _p p, double y, double xmin, double xmax, double epsilon, int  maxiter ); \
double Type ## _GetXmin ( Type ## _p p ); \
double Type ## _GetXmax ( Type ## _p p ); \
double Type ## _GradientPar ( Type ## _p p, int  ipar, double * x, double eps ); \
void Type ## _InitArgs ( Type ## _p p, double * x, double * params ); \
double Type ## _IntegralTF1 ( Type ## _p p, double a, double b, double * params, double epsilon ); \
double Type ## _IntegralError ( Type ## _p p, double a, double b, double * params, double * covmat, double epsilon ); \
double Type ## _IntegralFast ( Type ## _p p, int  num, double * x, double * w, double a, double b, double * params, double epsilon ); \
int Type ## _IsInside ( Type ## _p p, double * x ); \
void Type ## _ReleaseParameter ( Type ## _p p, int  ipar ); \
void Type ## _SetChisquare ( Type ## _p p, double chi2 ); \
void Type ## _setMaximumTF1 ( Type ## _p p, double maximum ); \
void Type ## _setMinimumTF1 ( Type ## _p p, double minimum ); \
void Type ## _SetNDF ( Type ## _p p, int  ndf ); \
void Type ## _SetNumberFitPoints ( Type ## _p p, int  npfits ); \
void Type ## _SetNpx ( Type ## _p p, int  npx ); \
void Type ## _SetParError ( Type ## _p p, int  ipar, double error ); \
void Type ## _SetParErrors ( Type ## _p p, double * errors ); \
void Type ## _SetParLimits ( Type ## _p p, int  ipar, double parmin, double parmax ); \
void Type ## _SetParent ( Type ## _p p, TObject_p parent ); \
void Type ## _setRange1 ( Type ## _p p, double xmin, double xmax ); \
void Type ## _setRange2 ( Type ## _p p, double xmin, double xmax, double ymin, double ymax ); \
void Type ## _setRange3 ( Type ## _p p, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax ); \
void Type ## _SetSavedPoint ( Type ## _p p, int  point, double value ); \
double Type ## _Moment ( Type ## _p p, double n, double a, double b, double * params, double epsilon ); \
double Type ## _CentralMoment ( Type ## _p p, double n, double a, double b, double * params, double epsilon ); \
double Type ## _Mean ( Type ## _p p, double a, double b, double * params, double epsilon ); \
double Type ## _Variance ( Type ## _p p, double a, double b, double * params, double epsilon )

#undef ROOT_TGRAPH_DECLARATIONVIRT
#define ROOT_TGRAPH_DECLARATIONVIRT(Type) \
void Type ## _Apply ( Type ## _p p, TF1_p f ); \
double Type ## _Chisquare ( Type ## _p p, TF1_p f1 ); \
void Type ## _DrawGraph ( Type ## _p p, int  n, double * x, double * y, const char * option ); \
void Type ## _drawPanelTGraph ( Type ## _p p ); \
void Type ## _Expand ( Type ## _p p, int  newsize, int  step ); \
void Type ## _FitPanelTGraph ( Type ## _p p ); \
double Type ## _getCorrelationFactorTGraph ( Type ## _p p ); \
double Type ## _getCovarianceTGraph ( Type ## _p p ); \
double Type ## _getMeanTGraph ( Type ## _p p, int  axis ); \
double Type ## _getRMSTGraph ( Type ## _p p, int  axis ); \
double Type ## _GetErrorX ( Type ## _p p, int  bin ); \
double Type ## _GetErrorY ( Type ## _p p, int  bin ); \
double Type ## _GetErrorXhigh ( Type ## _p p, int  bin ); \
double Type ## _GetErrorXlow ( Type ## _p p, int  bin ); \
double Type ## _GetErrorYhigh ( Type ## _p p, int  bin ); \
double Type ## _GetErrorYlow ( Type ## _p p, int  bin ); \
void Type ## _InitExpo ( Type ## _p p, double xmin, double xmax ); \
void Type ## _InitGaus ( Type ## _p p, double xmin, double xmax ); \
void Type ## _InitPolynom ( Type ## _p p, double xmin, double xmax ); \
int  Type ## _InsertPoint ( Type ## _p p ); \
double Type ## _integralTGraph ( Type ## _p p, int  first, int  last ); \
int Type ## _IsEditable ( Type ## _p p ); \
int  Type ## _isInsideTGraph ( Type ## _p p, double x, double y ); \
void Type ## _LeastSquareFit ( Type ## _p p, int  m, double * a, double xmin, double xmax ); \
void Type ## _PaintStats ( Type ## _p p, TF1_p fit ); \
int  Type ## _RemovePoint ( Type ## _p p, int  ipoint ); \
void Type ## _SetEditable ( Type ## _p p, int editable ); \
void Type ## _SetHistogram ( Type ## _p p, TH1F_p h ); \
void Type ## _setMaximumTGraph ( Type ## _p p, double maximum ); \
void Type ## _setMinimumTGraph ( Type ## _p p, double minimum ); \
void Type ## _Set ( Type ## _p p, int  n ); \
void Type ## _SetPoint ( Type ## _p p, int  i, double x, double y )

#undef ROOT_TGRAPHASYMMERRORS_DECLARATIONVIRT
#define ROOT_TGRAPHASYMMERRORS_DECLARATIONVIRT(Type) \


#undef ROOT_TCUTG_DECLARATIONVIRT
#define ROOT_TCUTG_DECLARATIONVIRT(Type) \


#undef ROOT_TGRAPHBENTERRORS_DECLARATIONVIRT
#define ROOT_TGRAPHBENTERRORS_DECLARATIONVIRT(Type) \


#undef ROOT_TGRAPHERRORS_DECLARATIONVIRT
#define ROOT_TGRAPHERRORS_DECLARATIONVIRT(Type) \


#undef ROOT_TGRAPHPOLAR_DECLARATIONVIRT
#define ROOT_TGRAPHPOLAR_DECLARATIONVIRT(Type) \


#undef ROOT_TGRAPHQQ_DECLARATIONVIRT
#define ROOT_TGRAPHQQ_DECLARATIONVIRT(Type) \


#undef ROOT_TELLIPSE_DECLARATIONVIRT
#define ROOT_TELLIPSE_DECLARATIONVIRT(Type) \


#undef ROOT_TARC_DECLARATIONVIRT
#define ROOT_TARC_DECLARATIONVIRT(Type) \


#undef ROOT_TCROWN_DECLARATIONVIRT
#define ROOT_TCROWN_DECLARATIONVIRT(Type) \


#undef ROOT_TLINE_DECLARATIONVIRT
#define ROOT_TLINE_DECLARATIONVIRT(Type) \
TLine_p Type ## _DrawLine ( Type ## _p p, double x1, double y1, double x2, double y2 ); \
TLine_p Type ## _DrawLineNDC ( Type ## _p p, double x1, double y1, double x2, double y2 ); \
void Type ## _PaintLine ( Type ## _p p, double x1, double y1, double x2, double y2 ); \
void Type ## _PaintLineNDC ( Type ## _p p, double u1, double v1, double u2, double v2 ); \
void Type ## _SetX1 ( Type ## _p p, double x1 ); \
void Type ## _SetX2 ( Type ## _p p, double x2 ); \
void Type ## _SetY1 ( Type ## _p p, double y1 ); \
void Type ## _SetY2 ( Type ## _p p, double y2 )

#undef ROOT_TARROW_DECLARATIONVIRT
#define ROOT_TARROW_DECLARATIONVIRT(Type) \


#undef ROOT_TGAXIS_DECLARATIONVIRT
#define ROOT_TGAXIS_DECLARATIONVIRT(Type) \


#undef ROOT_TSHAPE_DECLARATIONVIRT
#define ROOT_TSHAPE_DECLARATIONVIRT(Type) \


#undef ROOT_TBRIK_DECLARATIONVIRT
#define ROOT_TBRIK_DECLARATIONVIRT(Type) \


#undef ROOT_TTUBE_DECLARATIONVIRT
#define ROOT_TTUBE_DECLARATIONVIRT(Type) \


#undef ROOT_TPCON_DECLARATIONVIRT
#define ROOT_TPCON_DECLARATIONVIRT(Type) \


#undef ROOT_TSPHE_DECLARATIONVIRT
#define ROOT_TSPHE_DECLARATIONVIRT(Type) \


#undef ROOT_TXTRU_DECLARATIONVIRT
#define ROOT_TXTRU_DECLARATIONVIRT(Type) \


#undef ROOT_TBOX_DECLARATIONVIRT
#define ROOT_TBOX_DECLARATIONVIRT(Type) \


#undef ROOT_TPAVE_DECLARATIONVIRT
#define ROOT_TPAVE_DECLARATIONVIRT(Type) \


#undef ROOT_TPAVETEXT_DECLARATIONVIRT
#define ROOT_TPAVETEXT_DECLARATIONVIRT(Type) \


#undef ROOT_TDIAMOND_DECLARATIONVIRT
#define ROOT_TDIAMOND_DECLARATIONVIRT(Type) \


#undef ROOT_TPAVESTATS_DECLARATIONVIRT
#define ROOT_TPAVESTATS_DECLARATIONVIRT(Type) \


#undef ROOT_TPAVESTEXT_DECLARATIONVIRT
#define ROOT_TPAVESTEXT_DECLARATIONVIRT(Type) \


#undef ROOT_TLEGEND_DECLARATIONVIRT
#define ROOT_TLEGEND_DECLARATIONVIRT(Type) \
TLegendEntry_p Type ## _AddEntry ( Type ## _p p, TObject_p obj, const char * label, const char * option )

#undef ROOT_TLEGENDENTRY_DECLARATIONVIRT
#define ROOT_TLEGENDENTRY_DECLARATIONVIRT(Type) \


#undef ROOT_TPAVELABEL_DECLARATIONVIRT
#define ROOT_TPAVELABEL_DECLARATIONVIRT(Type) \


#undef ROOT_TPAVECLASS_DECLARATIONVIRT
#define ROOT_TPAVECLASS_DECLARATIONVIRT(Type) \


#undef ROOT_TWBOX_DECLARATIONVIRT
#define ROOT_TWBOX_DECLARATIONVIRT(Type) \
void Type ## _SetBorderMode ( Type ## _p p, int  bordermode )

#undef ROOT_TFRAME_DECLARATIONVIRT
#define ROOT_TFRAME_DECLARATIONVIRT(Type) \


#undef ROOT_TSLIDERBOX_DECLARATIONVIRT
#define ROOT_TSLIDERBOX_DECLARATIONVIRT(Type) \


#undef ROOT_TTREE_DECLARATIONVIRT
#define ROOT_TTREE_DECLARATIONVIRT(Type) \


#undef ROOT_TCHAIN_DECLARATIONVIRT
#define ROOT_TCHAIN_DECLARATIONVIRT(Type) \


#undef ROOT_TNTUPLE_DECLARATIONVIRT
#define ROOT_TNTUPLE_DECLARATIONVIRT(Type) \


#undef ROOT_TNTUPLED_DECLARATIONVIRT
#define ROOT_TNTUPLED_DECLARATIONVIRT(Type) \


#undef ROOT_TTREESQL_DECLARATIONVIRT
#define ROOT_TTREESQL_DECLARATIONVIRT(Type) \


#undef ROOT_TPOLYLINE_DECLARATIONVIRT
#define ROOT_TPOLYLINE_DECLARATIONVIRT(Type) \


#undef ROOT_TCURLYLINE_DECLARATIONVIRT
#define ROOT_TCURLYLINE_DECLARATIONVIRT(Type) \


#undef ROOT_TCURLYARC_DECLARATIONVIRT
#define ROOT_TCURLYARC_DECLARATIONVIRT(Type) \


#undef ROOT_TEFFICIENCY_DECLARATIONVIRT
#define ROOT_TEFFICIENCY_DECLARATIONVIRT(Type) \


#undef ROOT_TAXIS_DECLARATIONVIRT
#define ROOT_TAXIS_DECLARATIONVIRT(Type) \
void Type ## _SetTimeDisplay ( Type ## _p p, int  value ); \
void Type ## _SetTimeFormat ( Type ## _p p, const char * format ); \
void Type ## _SetTimeOffset ( Type ## _p p, double toffset, const char * option )

#undef ROOT_TLATEX_DECLARATIONVIRT
#define ROOT_TLATEX_DECLARATIONVIRT(Type) \


#undef ROOT_TTEXT_DECLARATIONVIRT
#define ROOT_TTEXT_DECLARATIONVIRT(Type) \


#undef ROOT_TDIRECTORY_DECLARATIONVIRT
#define ROOT_TDIRECTORY_DECLARATIONVIRT(Type) \
void Type ## _Append ( Type ## _p p, TObject_p obj, int replace ); \
void Type ## _addD ( Type ## _p p, TObject_p obj, int replace ); \
int  Type ## _AppendKey ( Type ## _p p, TKey_p key ); \
void Type ## _Close ( Type ## _p p, const char * option ); \
TObject_p Type ## _Get ( Type ## _p p, const char * namecycle )

#undef ROOT_TDIRECTORYFILE_DECLARATIONVIRT
#define ROOT_TDIRECTORYFILE_DECLARATIONVIRT(Type) \
TList_p Type ## _GetListOfKeys ( Type ## _p p )

#undef ROOT_TFILE_DECLARATIONVIRT
#define ROOT_TFILE_DECLARATIONVIRT(Type) \


#undef ROOT_TBRANCH_DECLARATIONVIRT
#define ROOT_TBRANCH_DECLARATIONVIRT(Type) \


#undef ROOT_TVIRTUALTREEPLAYER_DECLARATIONVIRT
#define ROOT_TVIRTUALTREEPLAYER_DECLARATIONVIRT(Type) \


#undef ROOT_TTREEPLAYER_DECLARATIONVIRT
#define ROOT_TTREEPLAYER_DECLARATIONVIRT(Type) \


#undef ROOT_TARRAY_DECLARATIONVIRT
#define ROOT_TARRAY_DECLARATIONVIRT(Type) \


#undef ROOT_TARRAYC_DECLARATIONVIRT
#define ROOT_TARRAYC_DECLARATIONVIRT(Type) \


#undef ROOT_TARRAYD_DECLARATIONVIRT
#define ROOT_TARRAYD_DECLARATIONVIRT(Type) \


#undef ROOT_TARRAYF_DECLARATIONVIRT
#define ROOT_TARRAYF_DECLARATIONVIRT(Type) \


#undef ROOT_TARRAYI_DECLARATIONVIRT
#define ROOT_TARRAYI_DECLARATIONVIRT(Type) \


#undef ROOT_TARRAYL_DECLARATIONVIRT
#define ROOT_TARRAYL_DECLARATIONVIRT(Type) \


#undef ROOT_TARRAYL64_DECLARATIONVIRT
#define ROOT_TARRAYL64_DECLARATIONVIRT(Type) \


#undef ROOT_TARRAYS_DECLARATIONVIRT
#define ROOT_TARRAYS_DECLARATIONVIRT(Type) \


#undef ROOT_TH1_DECLARATIONVIRT
#define ROOT_TH1_DECLARATIONVIRT(Type) \
void Type ## _Add ( Type ## _p p, TH1_p h1, double c1 ); \
void Type ## _AddBinContent ( Type ## _p p, int  bin, double w ); \
double Type ## _Chi2Test ( Type ## _p p, TH1_p h2, const char * option, double * res ); \
double Type ## _ComputeIntegral ( Type ## _p p ); \
void Type ## _DirectoryAutoAdd ( Type ## _p p, TDirectory_p dir ); \
void Type ## _Divide ( Type ## _p p, TH1_p h1, TH2_p h2, double c1, double c2, const char * option ); \
Type ## _p Type ## _drawCopyTH1 ( Type ## _p p, const char * option ); \
TH1_p Type ## _DrawNormalized ( Type ## _p p, const char * option, double norm ); \
void Type ## _drawPanelTH1 ( Type ## _p p ); \
int  Type ## _BufferEmpty ( Type ## _p p, int  action ); \
void Type ## _evalF ( Type ## _p p, TF1_p f1, const char * option ); \
TH1_p Type ## _FFT ( Type ## _p p, TH1_p h_output, const char * option ); \
int  Type ## _fill1 ( Type ## _p p, double x ); \
int  Type ## _fill1w ( Type ## _p p, double x, double w ); \
void Type ## _fillN1 ( Type ## _p p, int  ntimes, double * x, double * w, int  stride ); \
void Type ## _FillRandom ( Type ## _p p, TH1_p h, int  ntimes ); \
int  Type ## _FindBin ( Type ## _p p, double x, double y, double z ); \
int  Type ## _FindFixBin ( Type ## _p p, double x, double y, double z ); \
int  Type ## _FindFirstBinAbove ( Type ## _p p, double threshold, int  axis ); \
int  Type ## _FindLastBinAbove ( Type ## _p p, double threshold, int  axis ); \
void Type ## _FitPanelTH1 ( Type ## _p p ); \
int  Type ## _getNdivisionA ( Type ## _p p, const char * axis ); \
int  Type ## _getAxisColorA ( Type ## _p p, const char * axis ); \
int  Type ## _getLabelColorA ( Type ## _p p, const char * axis ); \
int  Type ## _getLabelFontA ( Type ## _p p, const char * axis ); \
double Type ## _getLabelOffsetA ( Type ## _p p, const char * axis ); \
double Type ## _getLabelSizeA ( Type ## _p p, const char * axis ); \
int  Type ## _getTitleFontA ( Type ## _p p, const char * axis ); \
double Type ## _getTitleOffsetA ( Type ## _p p, const char * axis ); \
double Type ## _getTitleSizeA ( Type ## _p p, const char * axis ); \
double Type ## _getTickLengthA ( Type ## _p p, const char * axis ); \
double Type ## _GetBarOffset ( Type ## _p p ); \
double Type ## _GetBarWidth ( Type ## _p p ); \
int  Type ## _GetContour ( Type ## _p p, double * levels ); \
double Type ## _GetContourLevel ( Type ## _p p, int  level ); \
double Type ## _GetContourLevelPad ( Type ## _p p, int  level ); \
int  Type ## _GetBin ( Type ## _p p, int  binx, int  biny, int  binz ); \
double Type ## _GetBinCenter ( Type ## _p p, int  bin ); \
double Type ## _GetBinContent1 ( Type ## _p p, int  binx ); \
double Type ## _GetBinContent2 ( Type ## _p p, int  binx, int  biny ); \
double Type ## _GetBinContent3 ( Type ## _p p, int  binx, int  biny, int  binz ); \
double Type ## _GetBinError1 ( Type ## _p p, int  binx ); \
double Type ## _GetBinError2 ( Type ## _p p, int  binx, int  biny ); \
double Type ## _GetBinError3 ( Type ## _p p, int  binx, int  biny, int  binz ); \
double Type ## _GetBinLowEdge ( Type ## _p p, int  bin ); \
double Type ## _GetBinWidth ( Type ## _p p, int  bin ); \
double Type ## _GetCellContent ( Type ## _p p, int  binx, int  biny ); \
double Type ## _GetCellError ( Type ## _p p, int  binx, int  biny ); \
double Type ## _GetEntries ( Type ## _p p ); \
double Type ## _GetEffectiveEntries ( Type ## _p p ); \
TF1_p Type ## _GetFunction ( Type ## _p p, const char * name ); \
int  Type ## _GetDimension ( Type ## _p p ); \
double Type ## _GetKurtosis ( Type ## _p p, int  axis ); \
void Type ## _GetLowEdge ( Type ## _p p, double * edge ); \
double Type ## _getMaximumTH1 ( Type ## _p p, double maxval ); \
int  Type ## _GetMaximumBin ( Type ## _p p ); \
double Type ## _GetMaximumStored ( Type ## _p p ); \
double Type ## _getMinimumTH1 ( Type ## _p p, double minval ); \
int  Type ## _GetMinimumBin ( Type ## _p p ); \
double Type ## _GetMinimumStored ( Type ## _p p ); \
double Type ## _GetMean ( Type ## _p p, int  axis ); \
double Type ## _GetMeanError ( Type ## _p p, int  axis ); \
double Type ## _GetNbinsX ( Type ## _p p ); \
double Type ## _GetNbinsY ( Type ## _p p ); \
double Type ## _GetNbinsZ ( Type ## _p p ); \
int  Type ## _getQuantilesTH1 ( Type ## _p p, int  nprobSum, double * q, double * pbSum ); \
double Type ## _GetRandom ( Type ## _p p ); \
void Type ## _GetStats ( Type ## _p p, double * stats ); \
double Type ## _GetSumOfWeights ( Type ## _p p ); \
TArrayD_p Type ## _GetSumw2 ( Type ## _p p ); \
int  Type ## _GetSumw2N ( Type ## _p p ); \
double Type ## _GetRMS ( Type ## _p p, int  axis ); \
double Type ## _GetRMSError ( Type ## _p p, int  axis ); \
double Type ## _GetSkewness ( Type ## _p p, int  axis ); \
double Type ## _integral1 ( Type ## _p p, int  binx1, int  binx2, const char * option ); \
double Type ## _interpolate1 ( Type ## _p p, double x ); \
double Type ## _interpolate2 ( Type ## _p p, double x, double y ); \
double Type ## _interpolate3 ( Type ## _p p, double x, double y, double z ); \
double Type ## _KolmogorovTest ( Type ## _p p, TH1_p h2, const char * option ); \
void Type ## _LabelsDeflate ( Type ## _p p, const char * axis ); \
void Type ## _LabelsInflate ( Type ## _p p, const char * axis ); \
void Type ## _LabelsOption ( Type ## _p p, const char * option, const char * axis ); \
void Type ## _multiflyF ( Type ## _p p, TF1_p h1, double c1 ); \
void Type ## _Multiply ( Type ## _p p, TH1_p h1, TH1_p h2, double c1, double c2, const char * option ); \
void Type ## _PutStats ( Type ## _p p, double * stats ); \
TH1_p Type ## _Rebin ( Type ## _p p, int  ngroup, const char * newname, double * xbins ); \
void Type ## _RebinAxis ( Type ## _p p, double x, TAxis_p axis ); \
void Type ## _Rebuild ( Type ## _p p, const char * option ); \
void Type ## _Reset ( Type ## _p p, const char * option ); \
void Type ## _ResetStats ( Type ## _p p ); \
void Type ## _Scale ( Type ## _p p, double c1, const char * option ); \
void Type ## _setAxisColorA ( Type ## _p p, int  color, const char * axis ); \
void Type ## _SetAxisRange ( Type ## _p p, double xmin, double xmax, const char * axis ); \
void Type ## _SetBarOffset ( Type ## _p p, double offset ); \
void Type ## _SetBarWidth ( Type ## _p p, double width ); \
void Type ## _setBinContent1 ( Type ## _p p, int  bin, double content ); \
void Type ## _setBinContent2 ( Type ## _p p, int  binx, int  biny, double content ); \
void Type ## _setBinContent3 ( Type ## _p p, int  binx, int  biny, int  binz, double content ); \
void Type ## _setBinError1 ( Type ## _p p, int  bin, double error ); \
void Type ## _setBinError2 ( Type ## _p p, int  binx, int  biny, double error ); \
void Type ## _setBinError3 ( Type ## _p p, int  binx, int  biny, int  binz, double error ); \
void Type ## _setBins1 ( Type ## _p p, int  nx, double * xBins ); \
void Type ## _setBins2 ( Type ## _p p, int  nx, double * xBins, int  ny, double * yBins ); \
void Type ## _setBins3 ( Type ## _p p, int  nx, double * xBins, int  ny, double * yBins, int  nz, double * zBins ); \
void Type ## _SetBinsLength ( Type ## _p p, int  bin ); \
void Type ## _SetBuffer ( Type ## _p p, int  buffersize, const char * option ); \
void Type ## _SetCellContent ( Type ## _p p, int  binx, int  biny, double content ); \
void Type ## _SetContent ( Type ## _p p, double * content ); \
void Type ## _SetContour ( Type ## _p p, int  nlevels, double * levels ); \
void Type ## _SetContourLevel ( Type ## _p p, int  level, double value ); \
void Type ## _SetDirectory ( Type ## _p p, TDirectory_p dir ); \
void Type ## _SetEntries ( Type ## _p p, double n ); \
void Type ## _SetError ( Type ## _p p, double * error ); \
void Type ## _setLabelColorA ( Type ## _p p, int  color, const char * axis ); \
void Type ## _setLabelSizeA ( Type ## _p p, double size, const char * axis ); \
void Type ## _setLabelFontA ( Type ## _p p, int  font, const char * axis ); \
void Type ## _setLabelOffsetA ( Type ## _p p, double offset, const char * axis ); \
void Type ## _SetMaximum ( Type ## _p p, double maximum ); \
void Type ## _SetMinimum ( Type ## _p p, double minimum ); \
void Type ## _SetNormFactor ( Type ## _p p, double factor ); \
void Type ## _SetStats ( Type ## _p p, int stats ); \
void Type ## _SetOption ( Type ## _p p, const char * option ); \
void Type ## _SetXTitle ( Type ## _p p, const char * title ); \
void Type ## _SetYTitle ( Type ## _p p, const char * title ); \
void Type ## _SetZTitle ( Type ## _p p, const char * title ); \
TH1_p Type ## _ShowBackground ( Type ## _p p, int  niter, const char * option ); \
int  Type ## _ShowPeaks ( Type ## _p p, double sigma, const char * option, double threshold ); \
void Type ## _Smooth ( Type ## _p p, int  ntimes, const char * option ); \
void Type ## _Sumw2 ( Type ## _p p )

#undef ROOT_TH2_DECLARATIONVIRT
#define ROOT_TH2_DECLARATIONVIRT(Type) \
int  Type ## _fill2 ( Type ## _p p, double x, double y ); \
int  Type ## _fill2w ( Type ## _p p, double x, double y, double w ); \
void Type ## _fillN2 ( Type ## _p p, int  ntimes, double * x, double * y, double * w, int  stride ); \
void Type ## _fillRandom2 ( Type ## _p p, TH1_p h, int  ntimes ); \
int  Type ## _findFirstBinAbove2 ( Type ## _p p, double threshold, int  axis ); \
int  Type ## _findLastBinAbove2 ( Type ## _p p, double threshold, int  axis ); \
void Type ## _FitSlicesX ( Type ## _p p, TF1_p f1, int  firstybin, int  lastybin, int  cut, const char * option, TObjArray_p arr ); \
void Type ## _FitSlicesY ( Type ## _p p, TF1_p f1, int  firstxbin, int  lastxbin, int  cut, const char * option, TObjArray_p arr ); \
double Type ## _getCorrelationFactor2 ( Type ## _p p, int  axis1, int  axis2 ); \
double Type ## _getCovariance2 ( Type ## _p p, int  axis1, int  axis2 ); \
double Type ## _integral2 ( Type ## _p p, int  binx1, int  binx2, int  biny1, int  biny2, const char * option ); \
TH2_p Type ## _rebinX2 ( Type ## _p p, int  ngroup, const char * newname ); \
TH2_p Type ## _rebinY2 ( Type ## _p p, int  ngroup, const char * newname ); \
TH2_p Type ## _Rebin2D ( Type ## _p p, int  nxgroup, int  nygroup, const char * newname ); \
void Type ## _SetShowProjectionX ( Type ## _p p, int  nbins ); \
void Type ## _SetShowProjectionY ( Type ## _p p, int  nbins )

#undef ROOT_TH3_DECLARATIONVIRT
#define ROOT_TH3_DECLARATIONVIRT(Type) \
int  Type ## _fill3 ( Type ## _p p, double x, double y, double z ); \
int  Type ## _fill3w ( Type ## _p p, double x, double y, double z, double w ); \
void Type ## _FitSlicesZ ( Type ## _p p, TF1_p f1, int  binminx, int  binmaxx, int  binminy, int  binmaxy, int  cut, const char * option ); \
double Type ## _getCorrelationFactor3 ( Type ## _p p, int  axis1, int  axis2 ); \
double Type ## _getCovariance3 ( Type ## _p p, int  axis1, int  axis2 ); \
TH3_p Type ## _rebinX3 ( Type ## _p p, int  ngroup, const char * newname ); \
TH3_p Type ## _rebinY3 ( Type ## _p p, int  ngroup, const char * newname ); \
TH3_p Type ## _rebinZ3 ( Type ## _p p, int  ngroup, const char * newname ); \
TH3_p Type ## _Rebin3D ( Type ## _p p, int  nxgroup, int  nygroup, int  nzgroup, const char * newname )

#undef ROOT_TH1C_DECLARATIONVIRT
#define ROOT_TH1C_DECLARATIONVIRT(Type) \


#undef ROOT_TH1D_DECLARATIONVIRT
#define ROOT_TH1D_DECLARATIONVIRT(Type) \


#undef ROOT_TH1F_DECLARATIONVIRT
#define ROOT_TH1F_DECLARATIONVIRT(Type) \


#undef ROOT_TH1I_DECLARATIONVIRT
#define ROOT_TH1I_DECLARATIONVIRT(Type) \


#undef ROOT_TH1S_DECLARATIONVIRT
#define ROOT_TH1S_DECLARATIONVIRT(Type) \


#undef ROOT_TH2C_DECLARATIONVIRT
#define ROOT_TH2C_DECLARATIONVIRT(Type) \


#undef ROOT_TH2D_DECLARATIONVIRT
#define ROOT_TH2D_DECLARATIONVIRT(Type) \


#undef ROOT_TH2F_DECLARATIONVIRT
#define ROOT_TH2F_DECLARATIONVIRT(Type) \


#undef ROOT_TH2I_DECLARATIONVIRT
#define ROOT_TH2I_DECLARATIONVIRT(Type) \


#undef ROOT_TH2POLY_DECLARATIONVIRT
#define ROOT_TH2POLY_DECLARATIONVIRT(Type) \


#undef ROOT_TH2S_DECLARATIONVIRT
#define ROOT_TH2S_DECLARATIONVIRT(Type) \


#undef ROOT_TH3C_DECLARATIONVIRT
#define ROOT_TH3C_DECLARATIONVIRT(Type) \


#undef ROOT_TH3D_DECLARATIONVIRT
#define ROOT_TH3D_DECLARATIONVIRT(Type) \


#undef ROOT_TH3F_DECLARATIONVIRT
#define ROOT_TH3F_DECLARATIONVIRT(Type) \


#undef ROOT_TH3I_DECLARATIONVIRT
#define ROOT_TH3I_DECLARATIONVIRT(Type) \


#undef ROOT_TH3S_DECLARATIONVIRT
#define ROOT_TH3S_DECLARATIONVIRT(Type) \


#undef ROOT_TQOBJECT_DECLARATIONVIRT
#define ROOT_TQOBJECT_DECLARATIONVIRT(Type) \


#undef ROOT_TVIRTUALPAD_DECLARATIONVIRT
#define ROOT_TVIRTUALPAD_DECLARATIONVIRT(Type) \
TFrame_p Type ## _GetFrame ( Type ## _p p ); \
void Type ## _Range ( Type ## _p p, double x1, double y1, double x2, double y2 )

#undef ROOT_TPAD_DECLARATIONVIRT
#define ROOT_TPAD_DECLARATIONVIRT(Type) \


#undef ROOT_TBUTTON_DECLARATIONVIRT
#define ROOT_TBUTTON_DECLARATIONVIRT(Type) \


#undef ROOT_TGROUPBUTTON_DECLARATIONVIRT
#define ROOT_TGROUPBUTTON_DECLARATIONVIRT(Type) \


#undef ROOT_TCANVAS_DECLARATIONVIRT
#define ROOT_TCANVAS_DECLARATIONVIRT(Type) \


#undef ROOT_TDIALOGCANVAS_DECLARATIONVIRT
#define ROOT_TDIALOGCANVAS_DECLARATIONVIRT(Type) \


#undef ROOT_TINSPECTCANVAS_DECLARATIONVIRT
#define ROOT_TINSPECTCANVAS_DECLARATIONVIRT(Type) \


#undef ROOT_TEVEPAD_DECLARATIONVIRT
#define ROOT_TEVEPAD_DECLARATIONVIRT(Type) \


#undef ROOT_TSLIDER_DECLARATIONVIRT
#define ROOT_TSLIDER_DECLARATIONVIRT(Type) \


#undef ROOT_TAPPLICATION_DECLARATIONVIRT
#define ROOT_TAPPLICATION_DECLARATIONVIRT(Type) \
void Type ## _Run ( Type ## _p p, int retrn )

#undef ROOT_TRINT_DECLARATIONVIRT
#define ROOT_TRINT_DECLARATIONVIRT(Type) \


#undef ROOT_TRANDOM_DECLARATIONVIRT
#define ROOT_TRANDOM_DECLARATIONVIRT(Type) \
double Type ## _Gaus ( Type ## _p p, double mean, double sigma ); \
double Type ## _Uniform ( Type ## _p p, double x1, double x2 )

#undef ROOT_TCOLLECTION_DECLARATIONVIRT
#define ROOT_TCOLLECTION_DECLARATIONVIRT(Type) \


#undef ROOT_TSEQCOLLECTION_DECLARATIONVIRT
#define ROOT_TSEQCOLLECTION_DECLARATIONVIRT(Type) \


#undef ROOT_TOBJARRAY_DECLARATIONVIRT
#define ROOT_TOBJARRAY_DECLARATIONVIRT(Type) \


#undef ROOT_TLIST_DECLARATIONVIRT
#define ROOT_TLIST_DECLARATIONVIRT(Type) \


#undef ROOT_TKEY_DECLARATIONVIRT
#define ROOT_TKEY_DECLARATIONVIRT(Type) \


#undef ROOT_TDATIME_DECLARATIONVIRT
#define ROOT_TDATIME_DECLARATIONVIRT(Type) \
unsigned int  Type ## _Convert ( Type ## _p p, int toGMT )

#undef ROOT_TVIRTUALHISTPAINTER_DECLARATIONVIRT
#define ROOT_TVIRTUALHISTPAINTER_DECLARATIONVIRT(Type) \


#undef ROOT_DELETABLE_DECLARATIONNONVIRT
#define ROOT_DELETABLE_DECLARATIONNONVIRT(Type) \

#undef ROOT_TOBJECT_DECLARATIONNONVIRT
#define ROOT_TOBJECT_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTObject (  ); \
int Type ## _tObjectIsOnHeap ( Type ## _p p ); \
int Type ## _tObjectIsZombie ( Type ## _p p )
#undef ROOT_TNAMED_DECLARATIONNONVIRT
#define ROOT_TNAMED_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTNamed ( const char * name, const char * title )
#undef ROOT_TDICTIONARY_DECLARATIONNONVIRT
#define ROOT_TDICTIONARY_DECLARATIONNONVIRT(Type) \

#undef ROOT_TCLASS_DECLARATIONNONVIRT
#define ROOT_TCLASS_DECLARATIONNONVIRT(Type) \

#undef ROOT_TFORMULA_DECLARATIONNONVIRT
#define ROOT_TFORMULA_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTFormula ( const char * name, const char * formula ); \
void Type ## _tFormulaOptimize ( Type ## _p p ); \
double Type ## _tFormulaGetParameter ( Type ## _p p, const char * name )
#undef ROOT_TATT3D_DECLARATIONNONVIRT
#define ROOT_TATT3D_DECLARATIONNONVIRT(Type) \

#undef ROOT_TATTAXIS_DECLARATIONNONVIRT
#define ROOT_TATTAXIS_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTAttAxis (  )
#undef ROOT_TATTBBOX_DECLARATIONNONVIRT
#define ROOT_TATTBBOX_DECLARATIONNONVIRT(Type) \

#undef ROOT_TATTCANVAS_DECLARATIONNONVIRT
#define ROOT_TATTCANVAS_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTAttCanvas (  )
#undef ROOT_TATTFILL_DECLARATIONNONVIRT
#define ROOT_TATTFILL_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTAttFill ( int  fcolor, int  fstyle )
#undef ROOT_TATTIMAGE_DECLARATIONNONVIRT
#define ROOT_TATTIMAGE_DECLARATIONNONVIRT(Type) \

#undef ROOT_TATTLINE_DECLARATIONNONVIRT
#define ROOT_TATTLINE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTAttLine ( int  lcolor, int  lstyle, int  lwidth ); \
int  Type ## _tAttLineDistancetoLine ( Type ## _p p, int  px, int  py, double xp1, double yp1, double xp2, double yp2 )
#undef ROOT_TATTMARKER_DECLARATIONNONVIRT
#define ROOT_TATTMARKER_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTAttMarker ( int  color, int  style, int  msize )
#undef ROOT_TATTPAD_DECLARATIONNONVIRT
#define ROOT_TATTPAD_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTAttPad (  ); \
double Type ## _tAttPadGetBottomMargin ( Type ## _p p ); \
double Type ## _tAttPadGetLeftMargin ( Type ## _p p ); \
double Type ## _tAttPadGetRightMargin ( Type ## _p p ); \
double Type ## _tAttPadGetTopMargin ( Type ## _p p ); \
double Type ## _tAttPadGetAfile ( Type ## _p p ); \
double Type ## _tAttPadGetXfile ( Type ## _p p ); \
double Type ## _tAttPadGetYfile ( Type ## _p p ); \
double Type ## _tAttPadGetAstat ( Type ## _p p ); \
double Type ## _tAttPadGetXstat ( Type ## _p p ); \
double Type ## _tAttPadGetYstat ( Type ## _p p ); \
int  Type ## _tAttPadGetFrameFillColor ( Type ## _p p ); \
int  Type ## _tAttPadGetFrameLineColor ( Type ## _p p ); \
int  Type ## _tAttPadGetFrameFillStyle ( Type ## _p p ); \
int  Type ## _tAttPadGetFrameLineStyle ( Type ## _p p ); \
int  Type ## _tAttPadGetFrameLineWidth ( Type ## _p p ); \
int  Type ## _tAttPadGetFrameBorderSize ( Type ## _p p ); \
int  Type ## _tAttPadGetFrameBorderMode ( Type ## _p p ); \
void Type ## _tAttPadSetFrameFillColor ( Type ## _p p, int  color ); \
void Type ## _tAttPadSetFrameLineColor ( Type ## _p p, int  color ); \
void Type ## _tAttPadSetFrameFillStyle ( Type ## _p p, int  styl ); \
void Type ## _tAttPadSetFrameLineStyle ( Type ## _p p, int  styl ); \
void Type ## _tAttPadSetFrameLineWidth ( Type ## _p p, int  width ); \
void Type ## _tAttPadSetFrameBorderSize ( Type ## _p p, int  size ); \
void Type ## _tAttPadSetFrameBorderMode ( Type ## _p p, int  mode )
#undef ROOT_TATTPARTICLE_DECLARATIONNONVIRT
#define ROOT_TATTPARTICLE_DECLARATIONNONVIRT(Type) \

#undef ROOT_TATTTEXT_DECLARATIONNONVIRT
#define ROOT_TATTTEXT_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTAttText ( int  align, double angle, int  color, int  font, double tsize )
#undef ROOT_THSTACK_DECLARATIONNONVIRT
#define ROOT_THSTACK_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTHStack ( const char * name, const char * title )
#undef ROOT_TF1_DECLARATIONNONVIRT
#define ROOT_TF1_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTF1 ( const char * name, const char * formula, double xmin, double xmax ); \
double Type ## _tF1GetChisquare ( Type ## _p p ); \
TH1_p Type ## _tF1GetHistogram ( Type ## _p p ); \
TObject_p Type ## _tF1GetParent ( Type ## _p p ); \
TAxis_p Type ## _tF1GetXaxis ( Type ## _p p ); \
TAxis_p Type ## _tF1GetYaxis ( Type ## _p p ); \
TAxis_p Type ## _tF1GetZaxis ( Type ## _p p )
#undef ROOT_TGRAPH_DECLARATIONNONVIRT
#define ROOT_TGRAPH_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTGraph ( int  n, double * x, double * y ); \
int Type ## _tGraphGetEditable ( Type ## _p p ); \
TF1_p Type ## _tGraphGetFunction ( Type ## _p p, const char * name ); \
TH1F_p Type ## _tGraphGetHistogram ( Type ## _p p ); \
TList_p Type ## _tGraphGetListOfFunctions ( Type ## _p p ); \
int  Type ## _tGraphGetMaxSize ( Type ## _p p ); \
int  Type ## _tGraphGetN ( Type ## _p p ); \
double Type ## _tGraphGetMaximum ( Type ## _p p ); \
double Type ## _tGraphGetMinimum ( Type ## _p p ); \
TAxis_p Type ## _tGraphGetXaxis ( Type ## _p p ); \
TAxis_p Type ## _tGraphGetYaxis ( Type ## _p p ); \
void Type ## _tGraphPaintGraph ( Type ## _p p, int  npoints, double * x, double * y, const char * chopt ); \
void Type ## _tGraphPaintGrapHist ( Type ## _p p, int  npoints, double * x, double * y, const char * chopt )
#undef ROOT_TGRAPHASYMMERRORS_DECLARATIONNONVIRT
#define ROOT_TGRAPHASYMMERRORS_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTGraphAsymmErrors ( int  n, double * x, double * y, double * exl, double * exh, double * eyl, double * eyh )
#undef ROOT_TCUTG_DECLARATIONNONVIRT
#define ROOT_TCUTG_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTCutG ( const char * name, int  n, double * x, double * y )
#undef ROOT_TGRAPHBENTERRORS_DECLARATIONNONVIRT
#define ROOT_TGRAPHBENTERRORS_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTGraphBentErrors ( int  n, double * x, double * y, double * exl, double * exh, double * eyl, double * eyh, double * exld, double * exhd, double * eyld, double * eyhd )
#undef ROOT_TGRAPHERRORS_DECLARATIONNONVIRT
#define ROOT_TGRAPHERRORS_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTGraphErrors ( int  n, double * x, double * y, double * ex, double * ey )
#undef ROOT_TGRAPHPOLAR_DECLARATIONNONVIRT
#define ROOT_TGRAPHPOLAR_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTGraphPolar ( int  n, double * x, double * y, double * ex, double * ey )
#undef ROOT_TGRAPHQQ_DECLARATIONNONVIRT
#define ROOT_TGRAPHQQ_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTGraphQQ ( int  nx, double * x, int  ny, double * y )
#undef ROOT_TELLIPSE_DECLARATIONNONVIRT
#define ROOT_TELLIPSE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTEllipse ( double x1, double y1, double r1, double r2, double phimin, double phimax, double theta )
#undef ROOT_TARC_DECLARATIONNONVIRT
#define ROOT_TARC_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTArc ( double x1, double y1, double radius, double phimin, double phimax )
#undef ROOT_TCROWN_DECLARATIONNONVIRT
#define ROOT_TCROWN_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTCrown ( double x1, double y1, double radin, double radout, double phimin, double phimax )
#undef ROOT_TLINE_DECLARATIONNONVIRT
#define ROOT_TLINE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTLine ( double x1, double y1, double x2, double y2 ); \
double Type ## _tLineGetX1 ( Type ## _p p ); \
double Type ## _tLineGetX2 ( Type ## _p p ); \
double Type ## _tLineGetY1 ( Type ## _p p ); \
double Type ## _tLineGetY2 ( Type ## _p p ); \
int Type ## _tLineIsHorizontal ( Type ## _p p ); \
int Type ## _tLineIsVertical ( Type ## _p p ); \
void Type ## _tLineSetHorizontal ( Type ## _p p, int set ); \
void Type ## _tLineSetVertical ( Type ## _p p, int set )
#undef ROOT_TARROW_DECLARATIONNONVIRT
#define ROOT_TARROW_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTArrow ( double x1, double y1, double x2, double y2, double arrowsize, const char * option )
#undef ROOT_TGAXIS_DECLARATIONNONVIRT
#define ROOT_TGAXIS_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTGaxis ( double xmin, double ymin, double xmax, double ymax, double wmin, double wmax, int  ndiv, const char * chopt, double gridlength )
#undef ROOT_TSHAPE_DECLARATIONNONVIRT
#define ROOT_TSHAPE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTShape ( const char * name, const char * title, const char * material )
#undef ROOT_TBRIK_DECLARATIONNONVIRT
#define ROOT_TBRIK_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTBRIK ( const char * name, const char * title, const char * material, double dx, double dy, double dz )
#undef ROOT_TTUBE_DECLARATIONNONVIRT
#define ROOT_TTUBE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTTUBE ( const char * name, const char * title, const char * material, double rmin, double rmax, double dz, double aspect )
#undef ROOT_TPCON_DECLARATIONNONVIRT
#define ROOT_TPCON_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTPCON ( const char * name, const char * title, const char * material, double phi1, double dphi1, int  nz )
#undef ROOT_TSPHE_DECLARATIONNONVIRT
#define ROOT_TSPHE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTSPHE ( const char * name, const char * title, const char * material, double rmin, double rmax, double themin, double themax, double phimin, double phimax )
#undef ROOT_TXTRU_DECLARATIONNONVIRT
#define ROOT_TXTRU_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTXTRU ( const char * name, const char * title, const char * material, int  nyx, int  nz )
#undef ROOT_TBOX_DECLARATIONNONVIRT
#define ROOT_TBOX_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTBox ( double x1, double y1, double x2, double y2 )
#undef ROOT_TPAVE_DECLARATIONNONVIRT
#define ROOT_TPAVE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTPave ( double x1, double y1, double x2, double y2, int  bordersize, const char * br )
#undef ROOT_TPAVETEXT_DECLARATIONNONVIRT
#define ROOT_TPAVETEXT_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTPaveText ( double x1, double y1, double x2, double y2, const char * br )
#undef ROOT_TDIAMOND_DECLARATIONNONVIRT
#define ROOT_TDIAMOND_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTDiamond ( double x1, double y1, double x2, double y2 )
#undef ROOT_TPAVESTATS_DECLARATIONNONVIRT
#define ROOT_TPAVESTATS_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTPaveStats ( double x1, double y1, double x2, double y2, const char * br )
#undef ROOT_TPAVESTEXT_DECLARATIONNONVIRT
#define ROOT_TPAVESTEXT_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTPavesText ( double x1, double y1, double x2, double y2, int  npaves, const char * br )
#undef ROOT_TLEGEND_DECLARATIONNONVIRT
#define ROOT_TLEGEND_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTLegend ( double x1, double y1, double x2, double y2, const char * header, const char * option )
#undef ROOT_TLEGENDENTRY_DECLARATIONNONVIRT
#define ROOT_TLEGENDENTRY_DECLARATIONNONVIRT(Type) \

#undef ROOT_TPAVELABEL_DECLARATIONNONVIRT
#define ROOT_TPAVELABEL_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTPaveLabel ( double x1, double y1, double x2, double y2, const char * label, const char * option )
#undef ROOT_TPAVECLASS_DECLARATIONNONVIRT
#define ROOT_TPAVECLASS_DECLARATIONNONVIRT(Type) \

#undef ROOT_TWBOX_DECLARATIONNONVIRT
#define ROOT_TWBOX_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTWbox ( double x1, double y1, double x2, double y2, int  color, int  bordersize, int  bordermode )
#undef ROOT_TFRAME_DECLARATIONNONVIRT
#define ROOT_TFRAME_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTFrame ( double x1, double y1, double x2, double y2 )
#undef ROOT_TSLIDERBOX_DECLARATIONNONVIRT
#define ROOT_TSLIDERBOX_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTSliderBox ( double x1, double y1, double x2, double y2, int  color, int  bordersize, int  bordermode )
#undef ROOT_TTREE_DECLARATIONNONVIRT
#define ROOT_TTREE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTTree ( const char * name, const char * title, int  splitlevel )
#undef ROOT_TCHAIN_DECLARATIONNONVIRT
#define ROOT_TCHAIN_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTChain ( const char * name, const char * title )
#undef ROOT_TNTUPLE_DECLARATIONNONVIRT
#define ROOT_TNTUPLE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTNtuple ( const char * name, const char * title, const char * varlist, int  bufsize )
#undef ROOT_TNTUPLED_DECLARATIONNONVIRT
#define ROOT_TNTUPLED_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTNtupleD ( const char * name, const char * title, const char * varlist, int  bufsize )
#undef ROOT_TTREESQL_DECLARATIONNONVIRT
#define ROOT_TTREESQL_DECLARATIONNONVIRT(Type) \

#undef ROOT_TPOLYLINE_DECLARATIONNONVIRT
#define ROOT_TPOLYLINE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTPolyLine ( int  n, double * x, double * y, const char * option )
#undef ROOT_TCURLYLINE_DECLARATIONNONVIRT
#define ROOT_TCURLYLINE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTCurlyLine ( double x1, double y1, double x2, double y2, double wl, double amp )
#undef ROOT_TCURLYARC_DECLARATIONNONVIRT
#define ROOT_TCURLYARC_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTCurlyArc ( double x1, double y1, double rad, double phimin, double phimax, double wl, double amp )
#undef ROOT_TEFFICIENCY_DECLARATIONNONVIRT
#define ROOT_TEFFICIENCY_DECLARATIONNONVIRT(Type) \

#undef ROOT_TAXIS_DECLARATIONNONVIRT
#define ROOT_TAXIS_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTAxis ( int  nbins, double xmin, double xmax )
#undef ROOT_TLATEX_DECLARATIONNONVIRT
#define ROOT_TLATEX_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTLatex ( double x, double y, const char * text ); \
Type ## _p Type ## _tLatexDrawLatex ( Type ## _p p, double x, double y, const char * text )
#undef ROOT_TTEXT_DECLARATIONNONVIRT
#define ROOT_TTEXT_DECLARATIONNONVIRT(Type) \

#undef ROOT_TDIRECTORY_DECLARATIONNONVIRT
#define ROOT_TDIRECTORY_DECLARATIONNONVIRT(Type) \

#undef ROOT_TDIRECTORYFILE_DECLARATIONNONVIRT
#define ROOT_TDIRECTORYFILE_DECLARATIONNONVIRT(Type) \

#undef ROOT_TFILE_DECLARATIONNONVIRT
#define ROOT_TFILE_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTFile ( const char * fname, const char * option, const char * ftitle, int  compress )
#undef ROOT_TBRANCH_DECLARATIONNONVIRT
#define ROOT_TBRANCH_DECLARATIONNONVIRT(Type) \

#undef ROOT_TVIRTUALTREEPLAYER_DECLARATIONNONVIRT
#define ROOT_TVIRTUALTREEPLAYER_DECLARATIONNONVIRT(Type) \

#undef ROOT_TTREEPLAYER_DECLARATIONNONVIRT
#define ROOT_TTREEPLAYER_DECLARATIONNONVIRT(Type) \

#undef ROOT_TARRAY_DECLARATIONNONVIRT
#define ROOT_TARRAY_DECLARATIONNONVIRT(Type) \

#undef ROOT_TARRAYC_DECLARATIONNONVIRT
#define ROOT_TARRAYC_DECLARATIONNONVIRT(Type) \

#undef ROOT_TARRAYD_DECLARATIONNONVIRT
#define ROOT_TARRAYD_DECLARATIONNONVIRT(Type) \

#undef ROOT_TARRAYF_DECLARATIONNONVIRT
#define ROOT_TARRAYF_DECLARATIONNONVIRT(Type) \

#undef ROOT_TARRAYI_DECLARATIONNONVIRT
#define ROOT_TARRAYI_DECLARATIONNONVIRT(Type) \

#undef ROOT_TARRAYL_DECLARATIONNONVIRT
#define ROOT_TARRAYL_DECLARATIONNONVIRT(Type) \

#undef ROOT_TARRAYL64_DECLARATIONNONVIRT
#define ROOT_TARRAYL64_DECLARATIONNONVIRT(Type) \

#undef ROOT_TARRAYS_DECLARATIONNONVIRT
#define ROOT_TARRAYS_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH1_DECLARATIONNONVIRT
#define ROOT_TH1_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _tH1GetAsymmetry ( Type ## _p p, TH1_p h2, double c2, double dc2 ); \
int  Type ## _tH1GetBufferLength ( Type ## _p p ); \
int  Type ## _tH1GetBufferSize ( Type ## _p p ); \
TDirectory_p Type ## _tH1GetDirectory ( Type ## _p p ); \
TAxis_p Type ## _tH1GetXaxis ( Type ## _p p ); \
TAxis_p Type ## _tH1GetYaxis ( Type ## _p p ); \
TAxis_p Type ## _tH1GetZaxis ( Type ## _p p ); \
int Type ## _tH1IsBinOverflow ( Type ## _p p, int  bin ); \
int Type ## _tH1IsBinUnderflow ( Type ## _p p, int  bin ); \
void Type ## _tH1UseCurrentStyle ( Type ## _p p )
#undef ROOT_TH2_DECLARATIONNONVIRT
#define ROOT_TH2_DECLARATIONNONVIRT(Type) \
TH1D_p Type ## _tH2ProjectionX ( Type ## _p p, const char * name, int  firstybin, int  lastybin, const char * option ); \
TH1D_p Type ## _tH2ProjectionY ( Type ## _p p, const char * name, int  firstxbin, int  lastxbin, const char * option )
#undef ROOT_TH3_DECLARATIONNONVIRT
#define ROOT_TH3_DECLARATIONNONVIRT(Type) \
TH1D_p Type ## _tH3ProjectionX ( Type ## _p p, const char * name, int  firstybin, int  lastybin, int  firstzbin, int  lastzbin, const char * option ); \
TH1D_p Type ## _tH3ProjectionY ( Type ## _p p, const char * name, int  firstxbin, int  lastxbin, int  firstzbin, int  lastzbin, const char * option ); \
TH1D_p Type ## _tH3ProjectionZ ( Type ## _p p, const char * name, int  firstxbin, int  lastxbin, int  firstybin, int  lastybin, const char * option ); \
TH1_p Type ## _tH3Project3D ( Type ## _p p, const char * option )
#undef ROOT_TH1C_DECLARATIONNONVIRT
#define ROOT_TH1C_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH1D_DECLARATIONNONVIRT
#define ROOT_TH1D_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTH1D ( const char * name, const char * title, int  nbinsx, double xlow, double xup )
#undef ROOT_TH1F_DECLARATIONNONVIRT
#define ROOT_TH1F_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTH1F ( const char * name, const char * title, int  nbinsx, double xlow, double xup )
#undef ROOT_TH1I_DECLARATIONNONVIRT
#define ROOT_TH1I_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH1S_DECLARATIONNONVIRT
#define ROOT_TH1S_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH2C_DECLARATIONNONVIRT
#define ROOT_TH2C_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH2D_DECLARATIONNONVIRT
#define ROOT_TH2D_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTH2D ( const char * name, const char * title, int  nbinsx, double xlow, double xup, int  nbinsy, double ylow, double yup )
#undef ROOT_TH2F_DECLARATIONNONVIRT
#define ROOT_TH2F_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTH2F ( const char * name, const char * title, int  nbinsx, double xlow, double xup, int  nbinsy, double ylow, double yup )
#undef ROOT_TH2I_DECLARATIONNONVIRT
#define ROOT_TH2I_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH2POLY_DECLARATIONNONVIRT
#define ROOT_TH2POLY_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH2S_DECLARATIONNONVIRT
#define ROOT_TH2S_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH3C_DECLARATIONNONVIRT
#define ROOT_TH3C_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH3D_DECLARATIONNONVIRT
#define ROOT_TH3D_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH3F_DECLARATIONNONVIRT
#define ROOT_TH3F_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH3I_DECLARATIONNONVIRT
#define ROOT_TH3I_DECLARATIONNONVIRT(Type) \

#undef ROOT_TH3S_DECLARATIONNONVIRT
#define ROOT_TH3S_DECLARATIONNONVIRT(Type) \

#undef ROOT_TQOBJECT_DECLARATIONNONVIRT
#define ROOT_TQOBJECT_DECLARATIONNONVIRT(Type) \

#undef ROOT_TVIRTUALPAD_DECLARATIONNONVIRT
#define ROOT_TVIRTUALPAD_DECLARATIONNONVIRT(Type) \

#undef ROOT_TPAD_DECLARATIONNONVIRT
#define ROOT_TPAD_DECLARATIONNONVIRT(Type) \

#undef ROOT_TBUTTON_DECLARATIONNONVIRT
#define ROOT_TBUTTON_DECLARATIONNONVIRT(Type) \

#undef ROOT_TGROUPBUTTON_DECLARATIONNONVIRT
#define ROOT_TGROUPBUTTON_DECLARATIONNONVIRT(Type) \

#undef ROOT_TCANVAS_DECLARATIONNONVIRT
#define ROOT_TCANVAS_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTCanvas ( const char * name, const char * title, int  ww, int  wh )
#undef ROOT_TDIALOGCANVAS_DECLARATIONNONVIRT
#define ROOT_TDIALOGCANVAS_DECLARATIONNONVIRT(Type) \

#undef ROOT_TINSPECTCANVAS_DECLARATIONNONVIRT
#define ROOT_TINSPECTCANVAS_DECLARATIONNONVIRT(Type) \

#undef ROOT_TEVEPAD_DECLARATIONNONVIRT
#define ROOT_TEVEPAD_DECLARATIONNONVIRT(Type) \

#undef ROOT_TSLIDER_DECLARATIONNONVIRT
#define ROOT_TSLIDER_DECLARATIONNONVIRT(Type) \

#undef ROOT_TAPPLICATION_DECLARATIONNONVIRT
#define ROOT_TAPPLICATION_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTApplication ( const char * appClassName, int * argc, char ** argv )
#undef ROOT_TRINT_DECLARATIONNONVIRT
#define ROOT_TRINT_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTRint ( const char * appClassName, int * argc, char ** argv )
#undef ROOT_TRANDOM_DECLARATIONNONVIRT
#define ROOT_TRANDOM_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTRandom ( int  seed )
#undef ROOT_TCOLLECTION_DECLARATIONNONVIRT
#define ROOT_TCOLLECTION_DECLARATIONNONVIRT(Type) \

#undef ROOT_TSEQCOLLECTION_DECLARATIONNONVIRT
#define ROOT_TSEQCOLLECTION_DECLARATIONNONVIRT(Type) \

#undef ROOT_TOBJARRAY_DECLARATIONNONVIRT
#define ROOT_TOBJARRAY_DECLARATIONNONVIRT(Type) \

#undef ROOT_TLIST_DECLARATIONNONVIRT
#define ROOT_TLIST_DECLARATIONNONVIRT(Type) \

#undef ROOT_TKEY_DECLARATIONNONVIRT
#define ROOT_TKEY_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTKey ( const char * name, const char * title, TClass_p cl, int  nbytes, TDirectory_p motherDir )
#undef ROOT_TDATIME_DECLARATIONNONVIRT
#define ROOT_TDATIME_DECLARATIONNONVIRT(Type) \
Type ## _p Type ## _newTDatime ( int  year, int  month, int  day, int  hour, int  min, int  sec )
#undef ROOT_TVIRTUALHISTPAINTER_DECLARATIONNONVIRT
#define ROOT_TVIRTUALHISTPAINTER_DECLARATIONNONVIRT(Type) \


ROOT_TYPE_DECLARATION(Deletable);
ROOT_TYPE_DECLARATION(TObject);
ROOT_TYPE_DECLARATION(TNamed);
ROOT_TYPE_DECLARATION(TDictionary);
ROOT_TYPE_DECLARATION(TClass);
ROOT_TYPE_DECLARATION(TFormula);
ROOT_TYPE_DECLARATION(TAtt3D);
ROOT_TYPE_DECLARATION(TAttAxis);
ROOT_TYPE_DECLARATION(TAttBBox);
ROOT_TYPE_DECLARATION(TAttCanvas);
ROOT_TYPE_DECLARATION(TAttFill);
ROOT_TYPE_DECLARATION(TAttImage);
ROOT_TYPE_DECLARATION(TAttLine);
ROOT_TYPE_DECLARATION(TAttMarker);
ROOT_TYPE_DECLARATION(TAttPad);
ROOT_TYPE_DECLARATION(TAttParticle);
ROOT_TYPE_DECLARATION(TAttText);
ROOT_TYPE_DECLARATION(THStack);
ROOT_TYPE_DECLARATION(TF1);
ROOT_TYPE_DECLARATION(TGraph);
ROOT_TYPE_DECLARATION(TGraphAsymmErrors);
ROOT_TYPE_DECLARATION(TCutG);
ROOT_TYPE_DECLARATION(TGraphBentErrors);
ROOT_TYPE_DECLARATION(TGraphErrors);
ROOT_TYPE_DECLARATION(TGraphPolar);
ROOT_TYPE_DECLARATION(TGraphQQ);
ROOT_TYPE_DECLARATION(TEllipse);
ROOT_TYPE_DECLARATION(TArc);
ROOT_TYPE_DECLARATION(TCrown);
ROOT_TYPE_DECLARATION(TLine);
ROOT_TYPE_DECLARATION(TArrow);
ROOT_TYPE_DECLARATION(TGaxis);
ROOT_TYPE_DECLARATION(TShape);
ROOT_TYPE_DECLARATION(TBRIK);
ROOT_TYPE_DECLARATION(TTUBE);
ROOT_TYPE_DECLARATION(TPCON);
ROOT_TYPE_DECLARATION(TSPHE);
ROOT_TYPE_DECLARATION(TXTRU);
ROOT_TYPE_DECLARATION(TBox);
ROOT_TYPE_DECLARATION(TPave);
ROOT_TYPE_DECLARATION(TPaveText);
ROOT_TYPE_DECLARATION(TDiamond);
ROOT_TYPE_DECLARATION(TPaveStats);
ROOT_TYPE_DECLARATION(TPavesText);
ROOT_TYPE_DECLARATION(TLegend);
ROOT_TYPE_DECLARATION(TLegendEntry);
ROOT_TYPE_DECLARATION(TPaveLabel);
ROOT_TYPE_DECLARATION(TPaveClass);
ROOT_TYPE_DECLARATION(TWbox);
ROOT_TYPE_DECLARATION(TFrame);
ROOT_TYPE_DECLARATION(TSliderBox);
ROOT_TYPE_DECLARATION(TTree);
ROOT_TYPE_DECLARATION(TChain);
ROOT_TYPE_DECLARATION(TNtuple);
ROOT_TYPE_DECLARATION(TNtupleD);
ROOT_TYPE_DECLARATION(TTreeSQL);
ROOT_TYPE_DECLARATION(TPolyLine);
ROOT_TYPE_DECLARATION(TCurlyLine);
ROOT_TYPE_DECLARATION(TCurlyArc);
ROOT_TYPE_DECLARATION(TEfficiency);
ROOT_TYPE_DECLARATION(TAxis);
ROOT_TYPE_DECLARATION(TLatex);
ROOT_TYPE_DECLARATION(TText);
ROOT_TYPE_DECLARATION(TDirectory);
ROOT_TYPE_DECLARATION(TDirectoryFile);
ROOT_TYPE_DECLARATION(TFile);
ROOT_TYPE_DECLARATION(TBranch);
ROOT_TYPE_DECLARATION(TVirtualTreePlayer);
ROOT_TYPE_DECLARATION(TTreePlayer);
ROOT_TYPE_DECLARATION(TArray);
ROOT_TYPE_DECLARATION(TArrayC);
ROOT_TYPE_DECLARATION(TArrayD);
ROOT_TYPE_DECLARATION(TArrayF);
ROOT_TYPE_DECLARATION(TArrayI);
ROOT_TYPE_DECLARATION(TArrayL);
ROOT_TYPE_DECLARATION(TArrayL64);
ROOT_TYPE_DECLARATION(TArrayS);
ROOT_TYPE_DECLARATION(TH1);
ROOT_TYPE_DECLARATION(TH2);
ROOT_TYPE_DECLARATION(TH3);
ROOT_TYPE_DECLARATION(TH1C);
ROOT_TYPE_DECLARATION(TH1D);
ROOT_TYPE_DECLARATION(TH1F);
ROOT_TYPE_DECLARATION(TH1I);
ROOT_TYPE_DECLARATION(TH1S);
ROOT_TYPE_DECLARATION(TH2C);
ROOT_TYPE_DECLARATION(TH2D);
ROOT_TYPE_DECLARATION(TH2F);
ROOT_TYPE_DECLARATION(TH2I);
ROOT_TYPE_DECLARATION(TH2Poly);
ROOT_TYPE_DECLARATION(TH2S);
ROOT_TYPE_DECLARATION(TH3C);
ROOT_TYPE_DECLARATION(TH3D);
ROOT_TYPE_DECLARATION(TH3F);
ROOT_TYPE_DECLARATION(TH3I);
ROOT_TYPE_DECLARATION(TH3S);
ROOT_TYPE_DECLARATION(TQObject);
ROOT_TYPE_DECLARATION(TVirtualPad);
ROOT_TYPE_DECLARATION(TPad);
ROOT_TYPE_DECLARATION(TButton);
ROOT_TYPE_DECLARATION(TGroupButton);
ROOT_TYPE_DECLARATION(TCanvas);
ROOT_TYPE_DECLARATION(TDialogCanvas);
ROOT_TYPE_DECLARATION(TInspectCanvas);
ROOT_TYPE_DECLARATION(TEvePad);
ROOT_TYPE_DECLARATION(TSlider);
ROOT_TYPE_DECLARATION(TApplication);
ROOT_TYPE_DECLARATION(TRint);
ROOT_TYPE_DECLARATION(TRandom);
ROOT_TYPE_DECLARATION(TCollection);
ROOT_TYPE_DECLARATION(TSeqCollection);
ROOT_TYPE_DECLARATION(TObjArray);
ROOT_TYPE_DECLARATION(TList);
ROOT_TYPE_DECLARATION(TKey);
ROOT_TYPE_DECLARATION(TDatime);
ROOT_TYPE_DECLARATION(TVirtualHistPainter);

ROOT_DELETABLE_DECLARATIONVIRT(TDatime);
ROOT_DELETABLE_DECLARATIONVIRT(TKey);
ROOT_DELETABLE_DECLARATIONVIRT(TList);
ROOT_DELETABLE_DECLARATIONVIRT(TObjArray);
ROOT_DELETABLE_DECLARATIONVIRT(TSeqCollection);
ROOT_DELETABLE_DECLARATIONVIRT(TCollection);
ROOT_DELETABLE_DECLARATIONVIRT(TRandom);
ROOT_DELETABLE_DECLARATIONVIRT(TRint);
ROOT_DELETABLE_DECLARATIONVIRT(TApplication);
ROOT_DELETABLE_DECLARATIONVIRT(TSlider);
ROOT_DELETABLE_DECLARATIONVIRT(TEvePad);
ROOT_DELETABLE_DECLARATIONVIRT(TInspectCanvas);
ROOT_DELETABLE_DECLARATIONVIRT(TDialogCanvas);
ROOT_DELETABLE_DECLARATIONVIRT(TCanvas);
ROOT_DELETABLE_DECLARATIONVIRT(TGroupButton);
ROOT_DELETABLE_DECLARATIONVIRT(TButton);
ROOT_DELETABLE_DECLARATIONVIRT(TPad);
ROOT_DELETABLE_DECLARATIONVIRT(TVirtualPad);
ROOT_DELETABLE_DECLARATIONVIRT(TQObject);
ROOT_DELETABLE_DECLARATIONVIRT(TH3S);
ROOT_DELETABLE_DECLARATIONVIRT(TH3I);
ROOT_DELETABLE_DECLARATIONVIRT(TH3F);
ROOT_DELETABLE_DECLARATIONVIRT(TH3D);
ROOT_DELETABLE_DECLARATIONVIRT(TH3C);
ROOT_DELETABLE_DECLARATIONVIRT(TH2S);
ROOT_DELETABLE_DECLARATIONVIRT(TH2Poly);
ROOT_DELETABLE_DECLARATIONVIRT(TH2I);
ROOT_DELETABLE_DECLARATIONVIRT(TH2F);
ROOT_DELETABLE_DECLARATIONVIRT(TH2D);
ROOT_DELETABLE_DECLARATIONVIRT(TH2C);
ROOT_DELETABLE_DECLARATIONVIRT(TH1S);
ROOT_DELETABLE_DECLARATIONVIRT(TH1I);
ROOT_DELETABLE_DECLARATIONVIRT(TH1F);
ROOT_DELETABLE_DECLARATIONVIRT(TH1D);
ROOT_DELETABLE_DECLARATIONVIRT(TH1C);
ROOT_DELETABLE_DECLARATIONVIRT(TH3);
ROOT_DELETABLE_DECLARATIONVIRT(TH2);
ROOT_DELETABLE_DECLARATIONVIRT(TH1);
ROOT_DELETABLE_DECLARATIONVIRT(TArrayS);
ROOT_DELETABLE_DECLARATIONVIRT(TArrayL64);
ROOT_DELETABLE_DECLARATIONVIRT(TArrayL);
ROOT_DELETABLE_DECLARATIONVIRT(TArrayI);
ROOT_DELETABLE_DECLARATIONVIRT(TArrayF);
ROOT_DELETABLE_DECLARATIONVIRT(TArrayD);
ROOT_DELETABLE_DECLARATIONVIRT(TArrayC);
ROOT_DELETABLE_DECLARATIONVIRT(TArray);
ROOT_DELETABLE_DECLARATIONVIRT(TTreePlayer);
ROOT_DELETABLE_DECLARATIONVIRT(TVirtualTreePlayer);
ROOT_DELETABLE_DECLARATIONVIRT(TBranch);
ROOT_DELETABLE_DECLARATIONVIRT(TFile);
ROOT_DELETABLE_DECLARATIONVIRT(TDirectoryFile);
ROOT_DELETABLE_DECLARATIONVIRT(TDirectory);
ROOT_DELETABLE_DECLARATIONVIRT(TText);
ROOT_DELETABLE_DECLARATIONVIRT(TLatex);
ROOT_DELETABLE_DECLARATIONVIRT(TAxis);
ROOT_DELETABLE_DECLARATIONVIRT(TEfficiency);
ROOT_DELETABLE_DECLARATIONVIRT(TCurlyArc);
ROOT_DELETABLE_DECLARATIONVIRT(TCurlyLine);
ROOT_DELETABLE_DECLARATIONVIRT(TPolyLine);
ROOT_DELETABLE_DECLARATIONVIRT(TTreeSQL);
ROOT_DELETABLE_DECLARATIONVIRT(TNtupleD);
ROOT_DELETABLE_DECLARATIONVIRT(TNtuple);
ROOT_DELETABLE_DECLARATIONVIRT(TChain);
ROOT_DELETABLE_DECLARATIONVIRT(TTree);
ROOT_DELETABLE_DECLARATIONVIRT(TSliderBox);
ROOT_DELETABLE_DECLARATIONVIRT(TFrame);
ROOT_DELETABLE_DECLARATIONVIRT(TWbox);
ROOT_DELETABLE_DECLARATIONVIRT(TPaveClass);
ROOT_DELETABLE_DECLARATIONVIRT(TPaveLabel);
ROOT_DELETABLE_DECLARATIONVIRT(TLegendEntry);
ROOT_DELETABLE_DECLARATIONVIRT(TLegend);
ROOT_DELETABLE_DECLARATIONVIRT(TPavesText);
ROOT_DELETABLE_DECLARATIONVIRT(TPaveStats);
ROOT_DELETABLE_DECLARATIONVIRT(TDiamond);
ROOT_DELETABLE_DECLARATIONVIRT(TPaveText);
ROOT_DELETABLE_DECLARATIONVIRT(TPave);
ROOT_DELETABLE_DECLARATIONVIRT(TBox);
ROOT_DELETABLE_DECLARATIONVIRT(TXTRU);
ROOT_DELETABLE_DECLARATIONVIRT(TSPHE);
ROOT_DELETABLE_DECLARATIONVIRT(TPCON);
ROOT_DELETABLE_DECLARATIONVIRT(TTUBE);
ROOT_DELETABLE_DECLARATIONVIRT(TBRIK);
ROOT_DELETABLE_DECLARATIONVIRT(TShape);
ROOT_DELETABLE_DECLARATIONVIRT(TGaxis);
ROOT_DELETABLE_DECLARATIONVIRT(TArrow);
ROOT_DELETABLE_DECLARATIONVIRT(TLine);
ROOT_DELETABLE_DECLARATIONVIRT(TCrown);
ROOT_DELETABLE_DECLARATIONVIRT(TArc);
ROOT_DELETABLE_DECLARATIONVIRT(TEllipse);
ROOT_DELETABLE_DECLARATIONVIRT(TGraphQQ);
ROOT_DELETABLE_DECLARATIONVIRT(TGraphPolar);
ROOT_DELETABLE_DECLARATIONVIRT(TGraphErrors);
ROOT_DELETABLE_DECLARATIONVIRT(TGraphBentErrors);
ROOT_DELETABLE_DECLARATIONVIRT(TCutG);
ROOT_DELETABLE_DECLARATIONVIRT(TGraphAsymmErrors);
ROOT_DELETABLE_DECLARATIONVIRT(TGraph);
ROOT_DELETABLE_DECLARATIONVIRT(TF1);
ROOT_DELETABLE_DECLARATIONVIRT(THStack);
ROOT_DELETABLE_DECLARATIONVIRT(TAttText);
ROOT_DELETABLE_DECLARATIONVIRT(TAttParticle);
ROOT_DELETABLE_DECLARATIONVIRT(TAttPad);
ROOT_DELETABLE_DECLARATIONVIRT(TAttMarker);
ROOT_DELETABLE_DECLARATIONVIRT(TAttLine);
ROOT_DELETABLE_DECLARATIONVIRT(TAttImage);
ROOT_DELETABLE_DECLARATIONVIRT(TAttFill);
ROOT_DELETABLE_DECLARATIONVIRT(TAttCanvas);
ROOT_DELETABLE_DECLARATIONVIRT(TAttBBox);
ROOT_DELETABLE_DECLARATIONVIRT(TAttAxis);
ROOT_DELETABLE_DECLARATIONVIRT(TAtt3D);
ROOT_DELETABLE_DECLARATIONVIRT(TFormula);
ROOT_DELETABLE_DECLARATIONVIRT(TClass);
ROOT_DELETABLE_DECLARATIONVIRT(TNamed);
ROOT_DELETABLE_DECLARATIONVIRT(TObject);
ROOT_TAPPLICATION_DECLARATIONVIRT(TRint);
ROOT_TAPPLICATION_DECLARATIONVIRT(TApplication);
ROOT_TARC_DECLARATIONVIRT(TArc);
ROOT_TARRAY_DECLARATIONVIRT(TH3S);
ROOT_TARRAY_DECLARATIONVIRT(TH3I);
ROOT_TARRAY_DECLARATIONVIRT(TH3F);
ROOT_TARRAY_DECLARATIONVIRT(TH3D);
ROOT_TARRAY_DECLARATIONVIRT(TH3C);
ROOT_TARRAY_DECLARATIONVIRT(TH2S);
ROOT_TARRAY_DECLARATIONVIRT(TH2I);
ROOT_TARRAY_DECLARATIONVIRT(TH2F);
ROOT_TARRAY_DECLARATIONVIRT(TH2D);
ROOT_TARRAY_DECLARATIONVIRT(TH2C);
ROOT_TARRAY_DECLARATIONVIRT(TH1S);
ROOT_TARRAY_DECLARATIONVIRT(TH1I);
ROOT_TARRAY_DECLARATIONVIRT(TH1F);
ROOT_TARRAY_DECLARATIONVIRT(TH1D);
ROOT_TARRAY_DECLARATIONVIRT(TH1C);
ROOT_TARRAY_DECLARATIONVIRT(TArrayS);
ROOT_TARRAY_DECLARATIONVIRT(TArrayL64);
ROOT_TARRAY_DECLARATIONVIRT(TArrayL);
ROOT_TARRAY_DECLARATIONVIRT(TArrayI);
ROOT_TARRAY_DECLARATIONVIRT(TArrayF);
ROOT_TARRAY_DECLARATIONVIRT(TArrayD);
ROOT_TARRAY_DECLARATIONVIRT(TArrayC);
ROOT_TARRAY_DECLARATIONVIRT(TArray);
ROOT_TARRAYC_DECLARATIONVIRT(TH3C);
ROOT_TARRAYC_DECLARATIONVIRT(TH2C);
ROOT_TARRAYC_DECLARATIONVIRT(TH1C);
ROOT_TARRAYC_DECLARATIONVIRT(TArrayC);
ROOT_TARRAYD_DECLARATIONVIRT(TH3D);
ROOT_TARRAYD_DECLARATIONVIRT(TH2D);
ROOT_TARRAYD_DECLARATIONVIRT(TH1D);
ROOT_TARRAYD_DECLARATIONVIRT(TArrayD);
ROOT_TARRAYF_DECLARATIONVIRT(TH3F);
ROOT_TARRAYF_DECLARATIONVIRT(TH2F);
ROOT_TARRAYF_DECLARATIONVIRT(TH1F);
ROOT_TARRAYF_DECLARATIONVIRT(TArrayF);
ROOT_TARRAYI_DECLARATIONVIRT(TH3I);
ROOT_TARRAYI_DECLARATIONVIRT(TH2I);
ROOT_TARRAYI_DECLARATIONVIRT(TH1I);
ROOT_TARRAYI_DECLARATIONVIRT(TArrayI);
ROOT_TARRAYL_DECLARATIONVIRT(TArrayL);
ROOT_TARRAYL64_DECLARATIONVIRT(TArrayL64);
ROOT_TARRAYS_DECLARATIONVIRT(TH3S);
ROOT_TARRAYS_DECLARATIONVIRT(TH2S);
ROOT_TARRAYS_DECLARATIONVIRT(TH1S);
ROOT_TARRAYS_DECLARATIONVIRT(TArrayS);
ROOT_TARROW_DECLARATIONVIRT(TArrow);
ROOT_TATT3D_DECLARATIONVIRT(TH3S);
ROOT_TATT3D_DECLARATIONVIRT(TH3I);
ROOT_TATT3D_DECLARATIONVIRT(TH3F);
ROOT_TATT3D_DECLARATIONVIRT(TH3D);
ROOT_TATT3D_DECLARATIONVIRT(TH3C);
ROOT_TATT3D_DECLARATIONVIRT(TH3);
ROOT_TATT3D_DECLARATIONVIRT(TXTRU);
ROOT_TATT3D_DECLARATIONVIRT(TSPHE);
ROOT_TATT3D_DECLARATIONVIRT(TPCON);
ROOT_TATT3D_DECLARATIONVIRT(TTUBE);
ROOT_TATT3D_DECLARATIONVIRT(TBRIK);
ROOT_TATT3D_DECLARATIONVIRT(TShape);
ROOT_TATT3D_DECLARATIONVIRT(TAtt3D);
ROOT_TATTAXIS_DECLARATIONVIRT(TAxis);
ROOT_TATTAXIS_DECLARATIONVIRT(TAttAxis);
ROOT_TATTBBOX_DECLARATIONVIRT(TAttBBox);
ROOT_TATTCANVAS_DECLARATIONVIRT(TAttCanvas);
ROOT_TATTFILL_DECLARATIONVIRT(TSlider);
ROOT_TATTFILL_DECLARATIONVIRT(TEvePad);
ROOT_TATTFILL_DECLARATIONVIRT(TInspectCanvas);
ROOT_TATTFILL_DECLARATIONVIRT(TDialogCanvas);
ROOT_TATTFILL_DECLARATIONVIRT(TCanvas);
ROOT_TATTFILL_DECLARATIONVIRT(TGroupButton);
ROOT_TATTFILL_DECLARATIONVIRT(TButton);
ROOT_TATTFILL_DECLARATIONVIRT(TPad);
ROOT_TATTFILL_DECLARATIONVIRT(TVirtualPad);
ROOT_TATTFILL_DECLARATIONVIRT(TH3S);
ROOT_TATTFILL_DECLARATIONVIRT(TH3I);
ROOT_TATTFILL_DECLARATIONVIRT(TH3F);
ROOT_TATTFILL_DECLARATIONVIRT(TH3D);
ROOT_TATTFILL_DECLARATIONVIRT(TH3C);
ROOT_TATTFILL_DECLARATIONVIRT(TH2S);
ROOT_TATTFILL_DECLARATIONVIRT(TH2Poly);
ROOT_TATTFILL_DECLARATIONVIRT(TH2I);
ROOT_TATTFILL_DECLARATIONVIRT(TH2F);
ROOT_TATTFILL_DECLARATIONVIRT(TH2D);
ROOT_TATTFILL_DECLARATIONVIRT(TH2C);
ROOT_TATTFILL_DECLARATIONVIRT(TH1S);
ROOT_TATTFILL_DECLARATIONVIRT(TH1I);
ROOT_TATTFILL_DECLARATIONVIRT(TH1F);
ROOT_TATTFILL_DECLARATIONVIRT(TH1D);
ROOT_TATTFILL_DECLARATIONVIRT(TH1C);
ROOT_TATTFILL_DECLARATIONVIRT(TH3);
ROOT_TATTFILL_DECLARATIONVIRT(TH2);
ROOT_TATTFILL_DECLARATIONVIRT(TH1);
ROOT_TATTFILL_DECLARATIONVIRT(TBranch);
ROOT_TATTFILL_DECLARATIONVIRT(TEfficiency);
ROOT_TATTFILL_DECLARATIONVIRT(TCurlyArc);
ROOT_TATTFILL_DECLARATIONVIRT(TCurlyLine);
ROOT_TATTFILL_DECLARATIONVIRT(TPolyLine);
ROOT_TATTFILL_DECLARATIONVIRT(TTreeSQL);
ROOT_TATTFILL_DECLARATIONVIRT(TNtupleD);
ROOT_TATTFILL_DECLARATIONVIRT(TNtuple);
ROOT_TATTFILL_DECLARATIONVIRT(TChain);
ROOT_TATTFILL_DECLARATIONVIRT(TTree);
ROOT_TATTFILL_DECLARATIONVIRT(TSliderBox);
ROOT_TATTFILL_DECLARATIONVIRT(TFrame);
ROOT_TATTFILL_DECLARATIONVIRT(TWbox);
ROOT_TATTFILL_DECLARATIONVIRT(TPaveClass);
ROOT_TATTFILL_DECLARATIONVIRT(TPaveLabel);
ROOT_TATTFILL_DECLARATIONVIRT(TLegendEntry);
ROOT_TATTFILL_DECLARATIONVIRT(TLegend);
ROOT_TATTFILL_DECLARATIONVIRT(TPavesText);
ROOT_TATTFILL_DECLARATIONVIRT(TPaveStats);
ROOT_TATTFILL_DECLARATIONVIRT(TDiamond);
ROOT_TATTFILL_DECLARATIONVIRT(TPaveText);
ROOT_TATTFILL_DECLARATIONVIRT(TPave);
ROOT_TATTFILL_DECLARATIONVIRT(TBox);
ROOT_TATTFILL_DECLARATIONVIRT(TXTRU);
ROOT_TATTFILL_DECLARATIONVIRT(TSPHE);
ROOT_TATTFILL_DECLARATIONVIRT(TPCON);
ROOT_TATTFILL_DECLARATIONVIRT(TTUBE);
ROOT_TATTFILL_DECLARATIONVIRT(TBRIK);
ROOT_TATTFILL_DECLARATIONVIRT(TShape);
ROOT_TATTFILL_DECLARATIONVIRT(TArrow);
ROOT_TATTFILL_DECLARATIONVIRT(TCrown);
ROOT_TATTFILL_DECLARATIONVIRT(TArc);
ROOT_TATTFILL_DECLARATIONVIRT(TEllipse);
ROOT_TATTFILL_DECLARATIONVIRT(TGraphQQ);
ROOT_TATTFILL_DECLARATIONVIRT(TGraphPolar);
ROOT_TATTFILL_DECLARATIONVIRT(TGraphErrors);
ROOT_TATTFILL_DECLARATIONVIRT(TGraphBentErrors);
ROOT_TATTFILL_DECLARATIONVIRT(TCutG);
ROOT_TATTFILL_DECLARATIONVIRT(TGraphAsymmErrors);
ROOT_TATTFILL_DECLARATIONVIRT(TGraph);
ROOT_TATTFILL_DECLARATIONVIRT(TF1);
ROOT_TATTFILL_DECLARATIONVIRT(TAttFill);
ROOT_TATTIMAGE_DECLARATIONVIRT(TAttImage);
ROOT_TATTLINE_DECLARATIONVIRT(TSlider);
ROOT_TATTLINE_DECLARATIONVIRT(TEvePad);
ROOT_TATTLINE_DECLARATIONVIRT(TInspectCanvas);
ROOT_TATTLINE_DECLARATIONVIRT(TDialogCanvas);
ROOT_TATTLINE_DECLARATIONVIRT(TCanvas);
ROOT_TATTLINE_DECLARATIONVIRT(TGroupButton);
ROOT_TATTLINE_DECLARATIONVIRT(TButton);
ROOT_TATTLINE_DECLARATIONVIRT(TPad);
ROOT_TATTLINE_DECLARATIONVIRT(TVirtualPad);
ROOT_TATTLINE_DECLARATIONVIRT(TH3S);
ROOT_TATTLINE_DECLARATIONVIRT(TH3I);
ROOT_TATTLINE_DECLARATIONVIRT(TH3F);
ROOT_TATTLINE_DECLARATIONVIRT(TH3D);
ROOT_TATTLINE_DECLARATIONVIRT(TH3C);
ROOT_TATTLINE_DECLARATIONVIRT(TH2S);
ROOT_TATTLINE_DECLARATIONVIRT(TH2Poly);
ROOT_TATTLINE_DECLARATIONVIRT(TH2I);
ROOT_TATTLINE_DECLARATIONVIRT(TH2F);
ROOT_TATTLINE_DECLARATIONVIRT(TH2D);
ROOT_TATTLINE_DECLARATIONVIRT(TH2C);
ROOT_TATTLINE_DECLARATIONVIRT(TH1S);
ROOT_TATTLINE_DECLARATIONVIRT(TH1I);
ROOT_TATTLINE_DECLARATIONVIRT(TH1F);
ROOT_TATTLINE_DECLARATIONVIRT(TH1D);
ROOT_TATTLINE_DECLARATIONVIRT(TH1C);
ROOT_TATTLINE_DECLARATIONVIRT(TH3);
ROOT_TATTLINE_DECLARATIONVIRT(TH2);
ROOT_TATTLINE_DECLARATIONVIRT(TH1);
ROOT_TATTLINE_DECLARATIONVIRT(TLatex);
ROOT_TATTLINE_DECLARATIONVIRT(TEfficiency);
ROOT_TATTLINE_DECLARATIONVIRT(TCurlyArc);
ROOT_TATTLINE_DECLARATIONVIRT(TCurlyLine);
ROOT_TATTLINE_DECLARATIONVIRT(TPolyLine);
ROOT_TATTLINE_DECLARATIONVIRT(TTreeSQL);
ROOT_TATTLINE_DECLARATIONVIRT(TNtupleD);
ROOT_TATTLINE_DECLARATIONVIRT(TNtuple);
ROOT_TATTLINE_DECLARATIONVIRT(TChain);
ROOT_TATTLINE_DECLARATIONVIRT(TTree);
ROOT_TATTLINE_DECLARATIONVIRT(TSliderBox);
ROOT_TATTLINE_DECLARATIONVIRT(TFrame);
ROOT_TATTLINE_DECLARATIONVIRT(TWbox);
ROOT_TATTLINE_DECLARATIONVIRT(TPaveClass);
ROOT_TATTLINE_DECLARATIONVIRT(TPaveLabel);
ROOT_TATTLINE_DECLARATIONVIRT(TLegendEntry);
ROOT_TATTLINE_DECLARATIONVIRT(TLegend);
ROOT_TATTLINE_DECLARATIONVIRT(TPavesText);
ROOT_TATTLINE_DECLARATIONVIRT(TPaveStats);
ROOT_TATTLINE_DECLARATIONVIRT(TDiamond);
ROOT_TATTLINE_DECLARATIONVIRT(TPaveText);
ROOT_TATTLINE_DECLARATIONVIRT(TPave);
ROOT_TATTLINE_DECLARATIONVIRT(TBox);
ROOT_TATTLINE_DECLARATIONVIRT(TXTRU);
ROOT_TATTLINE_DECLARATIONVIRT(TSPHE);
ROOT_TATTLINE_DECLARATIONVIRT(TPCON);
ROOT_TATTLINE_DECLARATIONVIRT(TTUBE);
ROOT_TATTLINE_DECLARATIONVIRT(TBRIK);
ROOT_TATTLINE_DECLARATIONVIRT(TShape);
ROOT_TATTLINE_DECLARATIONVIRT(TGaxis);
ROOT_TATTLINE_DECLARATIONVIRT(TArrow);
ROOT_TATTLINE_DECLARATIONVIRT(TLine);
ROOT_TATTLINE_DECLARATIONVIRT(TCrown);
ROOT_TATTLINE_DECLARATIONVIRT(TArc);
ROOT_TATTLINE_DECLARATIONVIRT(TEllipse);
ROOT_TATTLINE_DECLARATIONVIRT(TGraphQQ);
ROOT_TATTLINE_DECLARATIONVIRT(TGraphPolar);
ROOT_TATTLINE_DECLARATIONVIRT(TGraphErrors);
ROOT_TATTLINE_DECLARATIONVIRT(TGraphBentErrors);
ROOT_TATTLINE_DECLARATIONVIRT(TCutG);
ROOT_TATTLINE_DECLARATIONVIRT(TGraphAsymmErrors);
ROOT_TATTLINE_DECLARATIONVIRT(TGraph);
ROOT_TATTLINE_DECLARATIONVIRT(TF1);
ROOT_TATTLINE_DECLARATIONVIRT(TAttLine);
ROOT_TATTMARKER_DECLARATIONVIRT(TH3S);
ROOT_TATTMARKER_DECLARATIONVIRT(TH3I);
ROOT_TATTMARKER_DECLARATIONVIRT(TH3F);
ROOT_TATTMARKER_DECLARATIONVIRT(TH3D);
ROOT_TATTMARKER_DECLARATIONVIRT(TH3C);
ROOT_TATTMARKER_DECLARATIONVIRT(TH2S);
ROOT_TATTMARKER_DECLARATIONVIRT(TH2Poly);
ROOT_TATTMARKER_DECLARATIONVIRT(TH2I);
ROOT_TATTMARKER_DECLARATIONVIRT(TH2F);
ROOT_TATTMARKER_DECLARATIONVIRT(TH2D);
ROOT_TATTMARKER_DECLARATIONVIRT(TH2C);
ROOT_TATTMARKER_DECLARATIONVIRT(TH1S);
ROOT_TATTMARKER_DECLARATIONVIRT(TH1I);
ROOT_TATTMARKER_DECLARATIONVIRT(TH1F);
ROOT_TATTMARKER_DECLARATIONVIRT(TH1D);
ROOT_TATTMARKER_DECLARATIONVIRT(TH1C);
ROOT_TATTMARKER_DECLARATIONVIRT(TH3);
ROOT_TATTMARKER_DECLARATIONVIRT(TH2);
ROOT_TATTMARKER_DECLARATIONVIRT(TH1);
ROOT_TATTMARKER_DECLARATIONVIRT(TEfficiency);
ROOT_TATTMARKER_DECLARATIONVIRT(TTreeSQL);
ROOT_TATTMARKER_DECLARATIONVIRT(TNtupleD);
ROOT_TATTMARKER_DECLARATIONVIRT(TNtuple);
ROOT_TATTMARKER_DECLARATIONVIRT(TChain);
ROOT_TATTMARKER_DECLARATIONVIRT(TTree);
ROOT_TATTMARKER_DECLARATIONVIRT(TLegendEntry);
ROOT_TATTMARKER_DECLARATIONVIRT(TGraphQQ);
ROOT_TATTMARKER_DECLARATIONVIRT(TGraphPolar);
ROOT_TATTMARKER_DECLARATIONVIRT(TGraphErrors);
ROOT_TATTMARKER_DECLARATIONVIRT(TGraphBentErrors);
ROOT_TATTMARKER_DECLARATIONVIRT(TCutG);
ROOT_TATTMARKER_DECLARATIONVIRT(TGraphAsymmErrors);
ROOT_TATTMARKER_DECLARATIONVIRT(TGraph);
ROOT_TATTMARKER_DECLARATIONVIRT(TF1);
ROOT_TATTMARKER_DECLARATIONVIRT(TAttMarker);
ROOT_TATTPAD_DECLARATIONVIRT(TSlider);
ROOT_TATTPAD_DECLARATIONVIRT(TEvePad);
ROOT_TATTPAD_DECLARATIONVIRT(TInspectCanvas);
ROOT_TATTPAD_DECLARATIONVIRT(TDialogCanvas);
ROOT_TATTPAD_DECLARATIONVIRT(TCanvas);
ROOT_TATTPAD_DECLARATIONVIRT(TGroupButton);
ROOT_TATTPAD_DECLARATIONVIRT(TButton);
ROOT_TATTPAD_DECLARATIONVIRT(TPad);
ROOT_TATTPAD_DECLARATIONVIRT(TVirtualPad);
ROOT_TATTPAD_DECLARATIONVIRT(TAttPad);
ROOT_TATTPARTICLE_DECLARATIONVIRT(TAttParticle);
ROOT_TATTTEXT_DECLARATIONVIRT(TInspectCanvas);
ROOT_TATTTEXT_DECLARATIONVIRT(TDialogCanvas);
ROOT_TATTTEXT_DECLARATIONVIRT(TGroupButton);
ROOT_TATTTEXT_DECLARATIONVIRT(TButton);
ROOT_TATTTEXT_DECLARATIONVIRT(TText);
ROOT_TATTTEXT_DECLARATIONVIRT(TLatex);
ROOT_TATTTEXT_DECLARATIONVIRT(TPaveClass);
ROOT_TATTTEXT_DECLARATIONVIRT(TPaveLabel);
ROOT_TATTTEXT_DECLARATIONVIRT(TLegendEntry);
ROOT_TATTTEXT_DECLARATIONVIRT(TLegend);
ROOT_TATTTEXT_DECLARATIONVIRT(TPavesText);
ROOT_TATTTEXT_DECLARATIONVIRT(TPaveStats);
ROOT_TATTTEXT_DECLARATIONVIRT(TDiamond);
ROOT_TATTTEXT_DECLARATIONVIRT(TPaveText);
ROOT_TATTTEXT_DECLARATIONVIRT(TGaxis);
ROOT_TATTTEXT_DECLARATIONVIRT(TAttText);
ROOT_TAXIS_DECLARATIONVIRT(TAxis);
ROOT_TBRIK_DECLARATIONVIRT(TBRIK);
ROOT_TBOX_DECLARATIONVIRT(TSliderBox);
ROOT_TBOX_DECLARATIONVIRT(TFrame);
ROOT_TBOX_DECLARATIONVIRT(TWbox);
ROOT_TBOX_DECLARATIONVIRT(TPaveClass);
ROOT_TBOX_DECLARATIONVIRT(TPaveLabel);
ROOT_TBOX_DECLARATIONVIRT(TLegend);
ROOT_TBOX_DECLARATIONVIRT(TPavesText);
ROOT_TBOX_DECLARATIONVIRT(TPaveStats);
ROOT_TBOX_DECLARATIONVIRT(TDiamond);
ROOT_TBOX_DECLARATIONVIRT(TPaveText);
ROOT_TBOX_DECLARATIONVIRT(TPave);
ROOT_TBOX_DECLARATIONVIRT(TBox);
ROOT_TBRANCH_DECLARATIONVIRT(TBranch);
ROOT_TBUTTON_DECLARATIONVIRT(TGroupButton);
ROOT_TBUTTON_DECLARATIONVIRT(TButton);
ROOT_TCANVAS_DECLARATIONVIRT(TInspectCanvas);
ROOT_TCANVAS_DECLARATIONVIRT(TDialogCanvas);
ROOT_TCANVAS_DECLARATIONVIRT(TCanvas);
ROOT_TCHAIN_DECLARATIONVIRT(TChain);
ROOT_TCLASS_DECLARATIONVIRT(TClass);
ROOT_TCOLLECTION_DECLARATIONVIRT(TList);
ROOT_TCOLLECTION_DECLARATIONVIRT(TObjArray);
ROOT_TCOLLECTION_DECLARATIONVIRT(TSeqCollection);
ROOT_TCOLLECTION_DECLARATIONVIRT(TCollection);
ROOT_TCROWN_DECLARATIONVIRT(TCrown);
ROOT_TCURLYARC_DECLARATIONVIRT(TCurlyArc);
ROOT_TCURLYLINE_DECLARATIONVIRT(TCurlyArc);
ROOT_TCURLYLINE_DECLARATIONVIRT(TCurlyLine);
ROOT_TCUTG_DECLARATIONVIRT(TCutG);
ROOT_TDATIME_DECLARATIONVIRT(TDatime);
ROOT_TDIALOGCANVAS_DECLARATIONVIRT(TDialogCanvas);
ROOT_TDIAMOND_DECLARATIONVIRT(TDiamond);
ROOT_TDICTIONARY_DECLARATIONVIRT(TClass);
ROOT_TDIRECTORY_DECLARATIONVIRT(TFile);
ROOT_TDIRECTORY_DECLARATIONVIRT(TDirectoryFile);
ROOT_TDIRECTORY_DECLARATIONVIRT(TDirectory);
ROOT_TDIRECTORYFILE_DECLARATIONVIRT(TFile);
ROOT_TDIRECTORYFILE_DECLARATIONVIRT(TDirectoryFile);
ROOT_TEFFICIENCY_DECLARATIONVIRT(TEfficiency);
ROOT_TELLIPSE_DECLARATIONVIRT(TCrown);
ROOT_TELLIPSE_DECLARATIONVIRT(TArc);
ROOT_TELLIPSE_DECLARATIONVIRT(TEllipse);
ROOT_TEVEPAD_DECLARATIONVIRT(TEvePad);
ROOT_TF1_DECLARATIONVIRT(TF1);
ROOT_TFILE_DECLARATIONVIRT(TFile);
ROOT_TFORMULA_DECLARATIONVIRT(TF1);
ROOT_TFORMULA_DECLARATIONVIRT(TFormula);
ROOT_TFRAME_DECLARATIONVIRT(TFrame);
ROOT_TGAXIS_DECLARATIONVIRT(TGaxis);
ROOT_TGRAPH_DECLARATIONVIRT(TGraphQQ);
ROOT_TGRAPH_DECLARATIONVIRT(TGraphPolar);
ROOT_TGRAPH_DECLARATIONVIRT(TGraphErrors);
ROOT_TGRAPH_DECLARATIONVIRT(TGraphBentErrors);
ROOT_TGRAPH_DECLARATIONVIRT(TCutG);
ROOT_TGRAPH_DECLARATIONVIRT(TGraphAsymmErrors);
ROOT_TGRAPH_DECLARATIONVIRT(TGraph);
ROOT_TGRAPHASYMMERRORS_DECLARATIONVIRT(TGraphAsymmErrors);
ROOT_TGRAPHBENTERRORS_DECLARATIONVIRT(TGraphBentErrors);
ROOT_TGRAPHERRORS_DECLARATIONVIRT(TGraphPolar);
ROOT_TGRAPHERRORS_DECLARATIONVIRT(TGraphErrors);
ROOT_TGRAPHPOLAR_DECLARATIONVIRT(TGraphPolar);
ROOT_TGRAPHQQ_DECLARATIONVIRT(TGraphQQ);
ROOT_TGROUPBUTTON_DECLARATIONVIRT(TGroupButton);
ROOT_TH1_DECLARATIONVIRT(TH3S);
ROOT_TH1_DECLARATIONVIRT(TH3I);
ROOT_TH1_DECLARATIONVIRT(TH3F);
ROOT_TH1_DECLARATIONVIRT(TH3D);
ROOT_TH1_DECLARATIONVIRT(TH3C);
ROOT_TH1_DECLARATIONVIRT(TH2S);
ROOT_TH1_DECLARATIONVIRT(TH2Poly);
ROOT_TH1_DECLARATIONVIRT(TH2I);
ROOT_TH1_DECLARATIONVIRT(TH2F);
ROOT_TH1_DECLARATIONVIRT(TH2D);
ROOT_TH1_DECLARATIONVIRT(TH2C);
ROOT_TH1_DECLARATIONVIRT(TH1S);
ROOT_TH1_DECLARATIONVIRT(TH1I);
ROOT_TH1_DECLARATIONVIRT(TH1F);
ROOT_TH1_DECLARATIONVIRT(TH1D);
ROOT_TH1_DECLARATIONVIRT(TH1C);
ROOT_TH1_DECLARATIONVIRT(TH3);
ROOT_TH1_DECLARATIONVIRT(TH2);
ROOT_TH1_DECLARATIONVIRT(TH1);
ROOT_TH1C_DECLARATIONVIRT(TH1C);
ROOT_TH1D_DECLARATIONVIRT(TH1D);
ROOT_TH1F_DECLARATIONVIRT(TH1F);
ROOT_TH1I_DECLARATIONVIRT(TH1I);
ROOT_TH1S_DECLARATIONVIRT(TH1S);
ROOT_TH2_DECLARATIONVIRT(TH2S);
ROOT_TH2_DECLARATIONVIRT(TH2Poly);
ROOT_TH2_DECLARATIONVIRT(TH2I);
ROOT_TH2_DECLARATIONVIRT(TH2F);
ROOT_TH2_DECLARATIONVIRT(TH2D);
ROOT_TH2_DECLARATIONVIRT(TH2C);
ROOT_TH2_DECLARATIONVIRT(TH2);
ROOT_TH2C_DECLARATIONVIRT(TH2C);
ROOT_TH2D_DECLARATIONVIRT(TH2D);
ROOT_TH2F_DECLARATIONVIRT(TH2F);
ROOT_TH2I_DECLARATIONVIRT(TH2I);
ROOT_TH2POLY_DECLARATIONVIRT(TH2Poly);
ROOT_TH2S_DECLARATIONVIRT(TH2S);
ROOT_TH3_DECLARATIONVIRT(TH3S);
ROOT_TH3_DECLARATIONVIRT(TH3I);
ROOT_TH3_DECLARATIONVIRT(TH3F);
ROOT_TH3_DECLARATIONVIRT(TH3D);
ROOT_TH3_DECLARATIONVIRT(TH3C);
ROOT_TH3_DECLARATIONVIRT(TH3);
ROOT_TH3C_DECLARATIONVIRT(TH3C);
ROOT_TH3D_DECLARATIONVIRT(TH3D);
ROOT_TH3F_DECLARATIONVIRT(TH3F);
ROOT_TH3I_DECLARATIONVIRT(TH3I);
ROOT_TH3S_DECLARATIONVIRT(TH3S);
ROOT_THSTACK_DECLARATIONVIRT(THStack);
ROOT_TINSPECTCANVAS_DECLARATIONVIRT(TInspectCanvas);
ROOT_TKEY_DECLARATIONVIRT(TKey);
ROOT_TLATEX_DECLARATIONVIRT(TLatex);
ROOT_TLEGEND_DECLARATIONVIRT(TLegend);
ROOT_TLEGENDENTRY_DECLARATIONVIRT(TLegendEntry);
ROOT_TLINE_DECLARATIONVIRT(TGaxis);
ROOT_TLINE_DECLARATIONVIRT(TArrow);
ROOT_TLINE_DECLARATIONVIRT(TLine);
ROOT_TLIST_DECLARATIONVIRT(TList);
ROOT_TNAMED_DECLARATIONVIRT(TKey);
ROOT_TNAMED_DECLARATIONVIRT(TRandom);
ROOT_TNAMED_DECLARATIONVIRT(TH3S);
ROOT_TNAMED_DECLARATIONVIRT(TH3I);
ROOT_TNAMED_DECLARATIONVIRT(TH3F);
ROOT_TNAMED_DECLARATIONVIRT(TH3D);
ROOT_TNAMED_DECLARATIONVIRT(TH3C);
ROOT_TNAMED_DECLARATIONVIRT(TH2S);
ROOT_TNAMED_DECLARATIONVIRT(TH2Poly);
ROOT_TNAMED_DECLARATIONVIRT(TH2I);
ROOT_TNAMED_DECLARATIONVIRT(TH2F);
ROOT_TNAMED_DECLARATIONVIRT(TH2D);
ROOT_TNAMED_DECLARATIONVIRT(TH2C);
ROOT_TNAMED_DECLARATIONVIRT(TH1S);
ROOT_TNAMED_DECLARATIONVIRT(TH1I);
ROOT_TNAMED_DECLARATIONVIRT(TH1F);
ROOT_TNAMED_DECLARATIONVIRT(TH1D);
ROOT_TNAMED_DECLARATIONVIRT(TH1C);
ROOT_TNAMED_DECLARATIONVIRT(TH3);
ROOT_TNAMED_DECLARATIONVIRT(TH2);
ROOT_TNAMED_DECLARATIONVIRT(TH1);
ROOT_TNAMED_DECLARATIONVIRT(TBranch);
ROOT_TNAMED_DECLARATIONVIRT(TFile);
ROOT_TNAMED_DECLARATIONVIRT(TDirectoryFile);
ROOT_TNAMED_DECLARATIONVIRT(TDirectory);
ROOT_TNAMED_DECLARATIONVIRT(TText);
ROOT_TNAMED_DECLARATIONVIRT(TLatex);
ROOT_TNAMED_DECLARATIONVIRT(TAxis);
ROOT_TNAMED_DECLARATIONVIRT(TEfficiency);
ROOT_TNAMED_DECLARATIONVIRT(TTreeSQL);
ROOT_TNAMED_DECLARATIONVIRT(TNtupleD);
ROOT_TNAMED_DECLARATIONVIRT(TNtuple);
ROOT_TNAMED_DECLARATIONVIRT(TChain);
ROOT_TNAMED_DECLARATIONVIRT(TTree);
ROOT_TNAMED_DECLARATIONVIRT(TXTRU);
ROOT_TNAMED_DECLARATIONVIRT(TSPHE);
ROOT_TNAMED_DECLARATIONVIRT(TPCON);
ROOT_TNAMED_DECLARATIONVIRT(TTUBE);
ROOT_TNAMED_DECLARATIONVIRT(TBRIK);
ROOT_TNAMED_DECLARATIONVIRT(TShape);
ROOT_TNAMED_DECLARATIONVIRT(TGraphQQ);
ROOT_TNAMED_DECLARATIONVIRT(TGraphPolar);
ROOT_TNAMED_DECLARATIONVIRT(TGraphErrors);
ROOT_TNAMED_DECLARATIONVIRT(TGraphBentErrors);
ROOT_TNAMED_DECLARATIONVIRT(TCutG);
ROOT_TNAMED_DECLARATIONVIRT(TGraphAsymmErrors);
ROOT_TNAMED_DECLARATIONVIRT(TGraph);
ROOT_TNAMED_DECLARATIONVIRT(TF1);
ROOT_TNAMED_DECLARATIONVIRT(THStack);
ROOT_TNAMED_DECLARATIONVIRT(TAttParticle);
ROOT_TNAMED_DECLARATIONVIRT(TFormula);
ROOT_TNAMED_DECLARATIONVIRT(TClass);
ROOT_TNAMED_DECLARATIONVIRT(TNamed);
ROOT_TNTUPLE_DECLARATIONVIRT(TNtuple);
ROOT_TNTUPLED_DECLARATIONVIRT(TNtupleD);
ROOT_TOBJARRAY_DECLARATIONVIRT(TObjArray);
ROOT_TOBJECT_DECLARATIONVIRT(TKey);
ROOT_TOBJECT_DECLARATIONVIRT(TList);
ROOT_TOBJECT_DECLARATIONVIRT(TObjArray);
ROOT_TOBJECT_DECLARATIONVIRT(TSeqCollection);
ROOT_TOBJECT_DECLARATIONVIRT(TCollection);
ROOT_TOBJECT_DECLARATIONVIRT(TRandom);
ROOT_TOBJECT_DECLARATIONVIRT(TRint);
ROOT_TOBJECT_DECLARATIONVIRT(TApplication);
ROOT_TOBJECT_DECLARATIONVIRT(TSlider);
ROOT_TOBJECT_DECLARATIONVIRT(TEvePad);
ROOT_TOBJECT_DECLARATIONVIRT(TInspectCanvas);
ROOT_TOBJECT_DECLARATIONVIRT(TDialogCanvas);
ROOT_TOBJECT_DECLARATIONVIRT(TCanvas);
ROOT_TOBJECT_DECLARATIONVIRT(TGroupButton);
ROOT_TOBJECT_DECLARATIONVIRT(TButton);
ROOT_TOBJECT_DECLARATIONVIRT(TPad);
ROOT_TOBJECT_DECLARATIONVIRT(TVirtualPad);
ROOT_TOBJECT_DECLARATIONVIRT(TH3S);
ROOT_TOBJECT_DECLARATIONVIRT(TH3I);
ROOT_TOBJECT_DECLARATIONVIRT(TH3F);
ROOT_TOBJECT_DECLARATIONVIRT(TH3D);
ROOT_TOBJECT_DECLARATIONVIRT(TH3C);
ROOT_TOBJECT_DECLARATIONVIRT(TH2S);
ROOT_TOBJECT_DECLARATIONVIRT(TH2Poly);
ROOT_TOBJECT_DECLARATIONVIRT(TH2I);
ROOT_TOBJECT_DECLARATIONVIRT(TH2F);
ROOT_TOBJECT_DECLARATIONVIRT(TH2D);
ROOT_TOBJECT_DECLARATIONVIRT(TH2C);
ROOT_TOBJECT_DECLARATIONVIRT(TH1S);
ROOT_TOBJECT_DECLARATIONVIRT(TH1I);
ROOT_TOBJECT_DECLARATIONVIRT(TH1F);
ROOT_TOBJECT_DECLARATIONVIRT(TH1D);
ROOT_TOBJECT_DECLARATIONVIRT(TH1C);
ROOT_TOBJECT_DECLARATIONVIRT(TH3);
ROOT_TOBJECT_DECLARATIONVIRT(TH2);
ROOT_TOBJECT_DECLARATIONVIRT(TH1);
ROOT_TOBJECT_DECLARATIONVIRT(TTreePlayer);
ROOT_TOBJECT_DECLARATIONVIRT(TVirtualTreePlayer);
ROOT_TOBJECT_DECLARATIONVIRT(TBranch);
ROOT_TOBJECT_DECLARATIONVIRT(TFile);
ROOT_TOBJECT_DECLARATIONVIRT(TDirectoryFile);
ROOT_TOBJECT_DECLARATIONVIRT(TDirectory);
ROOT_TOBJECT_DECLARATIONVIRT(TText);
ROOT_TOBJECT_DECLARATIONVIRT(TLatex);
ROOT_TOBJECT_DECLARATIONVIRT(TAxis);
ROOT_TOBJECT_DECLARATIONVIRT(TEfficiency);
ROOT_TOBJECT_DECLARATIONVIRT(TCurlyArc);
ROOT_TOBJECT_DECLARATIONVIRT(TCurlyLine);
ROOT_TOBJECT_DECLARATIONVIRT(TPolyLine);
ROOT_TOBJECT_DECLARATIONVIRT(TTreeSQL);
ROOT_TOBJECT_DECLARATIONVIRT(TNtupleD);
ROOT_TOBJECT_DECLARATIONVIRT(TNtuple);
ROOT_TOBJECT_DECLARATIONVIRT(TChain);
ROOT_TOBJECT_DECLARATIONVIRT(TTree);
ROOT_TOBJECT_DECLARATIONVIRT(TSliderBox);
ROOT_TOBJECT_DECLARATIONVIRT(TFrame);
ROOT_TOBJECT_DECLARATIONVIRT(TWbox);
ROOT_TOBJECT_DECLARATIONVIRT(TPaveClass);
ROOT_TOBJECT_DECLARATIONVIRT(TPaveLabel);
ROOT_TOBJECT_DECLARATIONVIRT(TLegendEntry);
ROOT_TOBJECT_DECLARATIONVIRT(TLegend);
ROOT_TOBJECT_DECLARATIONVIRT(TPavesText);
ROOT_TOBJECT_DECLARATIONVIRT(TPaveStats);
ROOT_TOBJECT_DECLARATIONVIRT(TDiamond);
ROOT_TOBJECT_DECLARATIONVIRT(TPaveText);
ROOT_TOBJECT_DECLARATIONVIRT(TPave);
ROOT_TOBJECT_DECLARATIONVIRT(TBox);
ROOT_TOBJECT_DECLARATIONVIRT(TXTRU);
ROOT_TOBJECT_DECLARATIONVIRT(TSPHE);
ROOT_TOBJECT_DECLARATIONVIRT(TPCON);
ROOT_TOBJECT_DECLARATIONVIRT(TTUBE);
ROOT_TOBJECT_DECLARATIONVIRT(TBRIK);
ROOT_TOBJECT_DECLARATIONVIRT(TShape);
ROOT_TOBJECT_DECLARATIONVIRT(TGaxis);
ROOT_TOBJECT_DECLARATIONVIRT(TArrow);
ROOT_TOBJECT_DECLARATIONVIRT(TLine);
ROOT_TOBJECT_DECLARATIONVIRT(TCrown);
ROOT_TOBJECT_DECLARATIONVIRT(TArc);
ROOT_TOBJECT_DECLARATIONVIRT(TEllipse);
ROOT_TOBJECT_DECLARATIONVIRT(TGraphQQ);
ROOT_TOBJECT_DECLARATIONVIRT(TGraphPolar);
ROOT_TOBJECT_DECLARATIONVIRT(TGraphErrors);
ROOT_TOBJECT_DECLARATIONVIRT(TGraphBentErrors);
ROOT_TOBJECT_DECLARATIONVIRT(TCutG);
ROOT_TOBJECT_DECLARATIONVIRT(TGraphAsymmErrors);
ROOT_TOBJECT_DECLARATIONVIRT(TGraph);
ROOT_TOBJECT_DECLARATIONVIRT(TF1);
ROOT_TOBJECT_DECLARATIONVIRT(THStack);
ROOT_TOBJECT_DECLARATIONVIRT(TAttParticle);
ROOT_TOBJECT_DECLARATIONVIRT(TFormula);
ROOT_TOBJECT_DECLARATIONVIRT(TClass);
ROOT_TOBJECT_DECLARATIONVIRT(TNamed);
ROOT_TOBJECT_DECLARATIONVIRT(TObject);
ROOT_TPCON_DECLARATIONVIRT(TPCON);
ROOT_TPAD_DECLARATIONVIRT(TSlider);
ROOT_TPAD_DECLARATIONVIRT(TEvePad);
ROOT_TPAD_DECLARATIONVIRT(TInspectCanvas);
ROOT_TPAD_DECLARATIONVIRT(TDialogCanvas);
ROOT_TPAD_DECLARATIONVIRT(TCanvas);
ROOT_TPAD_DECLARATIONVIRT(TGroupButton);
ROOT_TPAD_DECLARATIONVIRT(TButton);
ROOT_TPAD_DECLARATIONVIRT(TPad);
ROOT_TPAVE_DECLARATIONVIRT(TPaveClass);
ROOT_TPAVE_DECLARATIONVIRT(TPaveLabel);
ROOT_TPAVE_DECLARATIONVIRT(TLegend);
ROOT_TPAVE_DECLARATIONVIRT(TPavesText);
ROOT_TPAVE_DECLARATIONVIRT(TPaveStats);
ROOT_TPAVE_DECLARATIONVIRT(TDiamond);
ROOT_TPAVE_DECLARATIONVIRT(TPaveText);
ROOT_TPAVE_DECLARATIONVIRT(TPave);
ROOT_TPAVECLASS_DECLARATIONVIRT(TPaveClass);
ROOT_TPAVELABEL_DECLARATIONVIRT(TPaveClass);
ROOT_TPAVELABEL_DECLARATIONVIRT(TPaveLabel);
ROOT_TPAVESTATS_DECLARATIONVIRT(TPaveStats);
ROOT_TPAVETEXT_DECLARATIONVIRT(TPavesText);
ROOT_TPAVETEXT_DECLARATIONVIRT(TPaveStats);
ROOT_TPAVETEXT_DECLARATIONVIRT(TDiamond);
ROOT_TPAVETEXT_DECLARATIONVIRT(TPaveText);
ROOT_TPAVESTEXT_DECLARATIONVIRT(TPavesText);
ROOT_TPOLYLINE_DECLARATIONVIRT(TCurlyArc);
ROOT_TPOLYLINE_DECLARATIONVIRT(TCurlyLine);
ROOT_TPOLYLINE_DECLARATIONVIRT(TPolyLine);
ROOT_TQOBJECT_DECLARATIONVIRT(TRint);
ROOT_TQOBJECT_DECLARATIONVIRT(TApplication);
ROOT_TQOBJECT_DECLARATIONVIRT(TSlider);
ROOT_TQOBJECT_DECLARATIONVIRT(TEvePad);
ROOT_TQOBJECT_DECLARATIONVIRT(TInspectCanvas);
ROOT_TQOBJECT_DECLARATIONVIRT(TDialogCanvas);
ROOT_TQOBJECT_DECLARATIONVIRT(TCanvas);
ROOT_TQOBJECT_DECLARATIONVIRT(TGroupButton);
ROOT_TQOBJECT_DECLARATIONVIRT(TButton);
ROOT_TQOBJECT_DECLARATIONVIRT(TPad);
ROOT_TQOBJECT_DECLARATIONVIRT(TVirtualPad);
ROOT_TQOBJECT_DECLARATIONVIRT(TQObject);
ROOT_TRANDOM_DECLARATIONVIRT(TRandom);
ROOT_TRINT_DECLARATIONVIRT(TRint);
ROOT_TSPHE_DECLARATIONVIRT(TSPHE);
ROOT_TSEQCOLLECTION_DECLARATIONVIRT(TList);
ROOT_TSEQCOLLECTION_DECLARATIONVIRT(TObjArray);
ROOT_TSEQCOLLECTION_DECLARATIONVIRT(TSeqCollection);
ROOT_TSHAPE_DECLARATIONVIRT(TXTRU);
ROOT_TSHAPE_DECLARATIONVIRT(TSPHE);
ROOT_TSHAPE_DECLARATIONVIRT(TPCON);
ROOT_TSHAPE_DECLARATIONVIRT(TTUBE);
ROOT_TSHAPE_DECLARATIONVIRT(TBRIK);
ROOT_TSHAPE_DECLARATIONVIRT(TShape);
ROOT_TSLIDER_DECLARATIONVIRT(TSlider);
ROOT_TSLIDERBOX_DECLARATIONVIRT(TSliderBox);
ROOT_TTUBE_DECLARATIONVIRT(TTUBE);
ROOT_TTEXT_DECLARATIONVIRT(TText);
ROOT_TTEXT_DECLARATIONVIRT(TLatex);
ROOT_TTREE_DECLARATIONVIRT(TTreeSQL);
ROOT_TTREE_DECLARATIONVIRT(TNtupleD);
ROOT_TTREE_DECLARATIONVIRT(TNtuple);
ROOT_TTREE_DECLARATIONVIRT(TChain);
ROOT_TTREE_DECLARATIONVIRT(TTree);
ROOT_TTREEPLAYER_DECLARATIONVIRT(TTreePlayer);
ROOT_TTREESQL_DECLARATIONVIRT(TTreeSQL);
ROOT_TVIRTUALPAD_DECLARATIONVIRT(TSlider);
ROOT_TVIRTUALPAD_DECLARATIONVIRT(TEvePad);
ROOT_TVIRTUALPAD_DECLARATIONVIRT(TInspectCanvas);
ROOT_TVIRTUALPAD_DECLARATIONVIRT(TDialogCanvas);
ROOT_TVIRTUALPAD_DECLARATIONVIRT(TCanvas);
ROOT_TVIRTUALPAD_DECLARATIONVIRT(TGroupButton);
ROOT_TVIRTUALPAD_DECLARATIONVIRT(TButton);
ROOT_TVIRTUALPAD_DECLARATIONVIRT(TPad);
ROOT_TVIRTUALPAD_DECLARATIONVIRT(TVirtualPad);
ROOT_TVIRTUALTREEPLAYER_DECLARATIONVIRT(TTreePlayer);
ROOT_TVIRTUALTREEPLAYER_DECLARATIONVIRT(TVirtualTreePlayer);
ROOT_TWBOX_DECLARATIONVIRT(TSliderBox);
ROOT_TWBOX_DECLARATIONVIRT(TFrame);
ROOT_TWBOX_DECLARATIONVIRT(TWbox);
ROOT_TXTRU_DECLARATIONVIRT(TXTRU);


ROOT_DELETABLE_DECLARATIONNONVIRT(Deletable);

ROOT_TOBJECT_DECLARATIONNONVIRT(TObject);

ROOT_TNAMED_DECLARATIONNONVIRT(TNamed);

ROOT_TDICTIONARY_DECLARATIONNONVIRT(TDictionary);

ROOT_TCLASS_DECLARATIONNONVIRT(TClass);

ROOT_TFORMULA_DECLARATIONNONVIRT(TFormula);

ROOT_TATT3D_DECLARATIONNONVIRT(TAtt3D);

ROOT_TATTAXIS_DECLARATIONNONVIRT(TAttAxis);

ROOT_TATTBBOX_DECLARATIONNONVIRT(TAttBBox);

ROOT_TATTCANVAS_DECLARATIONNONVIRT(TAttCanvas);

ROOT_TATTFILL_DECLARATIONNONVIRT(TAttFill);

ROOT_TATTIMAGE_DECLARATIONNONVIRT(TAttImage);

ROOT_TATTLINE_DECLARATIONNONVIRT(TAttLine);

ROOT_TATTMARKER_DECLARATIONNONVIRT(TAttMarker);

ROOT_TATTPAD_DECLARATIONNONVIRT(TAttPad);

ROOT_TATTPARTICLE_DECLARATIONNONVIRT(TAttParticle);

ROOT_TATTTEXT_DECLARATIONNONVIRT(TAttText);

ROOT_THSTACK_DECLARATIONNONVIRT(THStack);

ROOT_TF1_DECLARATIONNONVIRT(TF1);

ROOT_TGRAPH_DECLARATIONNONVIRT(TGraph);

ROOT_TGRAPHASYMMERRORS_DECLARATIONNONVIRT(TGraphAsymmErrors);

ROOT_TCUTG_DECLARATIONNONVIRT(TCutG);

ROOT_TGRAPHBENTERRORS_DECLARATIONNONVIRT(TGraphBentErrors);

ROOT_TGRAPHERRORS_DECLARATIONNONVIRT(TGraphErrors);

ROOT_TGRAPHPOLAR_DECLARATIONNONVIRT(TGraphPolar);

ROOT_TGRAPHQQ_DECLARATIONNONVIRT(TGraphQQ);

ROOT_TELLIPSE_DECLARATIONNONVIRT(TEllipse);

ROOT_TARC_DECLARATIONNONVIRT(TArc);

ROOT_TCROWN_DECLARATIONNONVIRT(TCrown);

ROOT_TLINE_DECLARATIONNONVIRT(TLine);

ROOT_TARROW_DECLARATIONNONVIRT(TArrow);

ROOT_TGAXIS_DECLARATIONNONVIRT(TGaxis);

ROOT_TSHAPE_DECLARATIONNONVIRT(TShape);

ROOT_TBRIK_DECLARATIONNONVIRT(TBRIK);

ROOT_TTUBE_DECLARATIONNONVIRT(TTUBE);

ROOT_TPCON_DECLARATIONNONVIRT(TPCON);

ROOT_TSPHE_DECLARATIONNONVIRT(TSPHE);

ROOT_TXTRU_DECLARATIONNONVIRT(TXTRU);

ROOT_TBOX_DECLARATIONNONVIRT(TBox);

ROOT_TPAVE_DECLARATIONNONVIRT(TPave);

ROOT_TPAVETEXT_DECLARATIONNONVIRT(TPaveText);

ROOT_TDIAMOND_DECLARATIONNONVIRT(TDiamond);

ROOT_TPAVESTATS_DECLARATIONNONVIRT(TPaveStats);

ROOT_TPAVESTEXT_DECLARATIONNONVIRT(TPavesText);

ROOT_TLEGEND_DECLARATIONNONVIRT(TLegend);

ROOT_TLEGENDENTRY_DECLARATIONNONVIRT(TLegendEntry);

ROOT_TPAVELABEL_DECLARATIONNONVIRT(TPaveLabel);

ROOT_TPAVECLASS_DECLARATIONNONVIRT(TPaveClass);

ROOT_TWBOX_DECLARATIONNONVIRT(TWbox);

ROOT_TFRAME_DECLARATIONNONVIRT(TFrame);

ROOT_TSLIDERBOX_DECLARATIONNONVIRT(TSliderBox);

ROOT_TTREE_DECLARATIONNONVIRT(TTree);

ROOT_TCHAIN_DECLARATIONNONVIRT(TChain);

ROOT_TNTUPLE_DECLARATIONNONVIRT(TNtuple);

ROOT_TNTUPLED_DECLARATIONNONVIRT(TNtupleD);

ROOT_TTREESQL_DECLARATIONNONVIRT(TTreeSQL);

ROOT_TPOLYLINE_DECLARATIONNONVIRT(TPolyLine);

ROOT_TCURLYLINE_DECLARATIONNONVIRT(TCurlyLine);

ROOT_TCURLYARC_DECLARATIONNONVIRT(TCurlyArc);

ROOT_TEFFICIENCY_DECLARATIONNONVIRT(TEfficiency);

ROOT_TAXIS_DECLARATIONNONVIRT(TAxis);

ROOT_TLATEX_DECLARATIONNONVIRT(TLatex);

ROOT_TTEXT_DECLARATIONNONVIRT(TText);

ROOT_TDIRECTORY_DECLARATIONNONVIRT(TDirectory);

ROOT_TDIRECTORYFILE_DECLARATIONNONVIRT(TDirectoryFile);

ROOT_TFILE_DECLARATIONNONVIRT(TFile);

ROOT_TBRANCH_DECLARATIONNONVIRT(TBranch);

ROOT_TVIRTUALTREEPLAYER_DECLARATIONNONVIRT(TVirtualTreePlayer);

ROOT_TTREEPLAYER_DECLARATIONNONVIRT(TTreePlayer);

ROOT_TARRAY_DECLARATIONNONVIRT(TArray);

ROOT_TARRAYC_DECLARATIONNONVIRT(TArrayC);

ROOT_TARRAYD_DECLARATIONNONVIRT(TArrayD);

ROOT_TARRAYF_DECLARATIONNONVIRT(TArrayF);

ROOT_TARRAYI_DECLARATIONNONVIRT(TArrayI);

ROOT_TARRAYL_DECLARATIONNONVIRT(TArrayL);

ROOT_TARRAYL64_DECLARATIONNONVIRT(TArrayL64);

ROOT_TARRAYS_DECLARATIONNONVIRT(TArrayS);

ROOT_TH1_DECLARATIONNONVIRT(TH1);

ROOT_TH2_DECLARATIONNONVIRT(TH2);

ROOT_TH3_DECLARATIONNONVIRT(TH3);

ROOT_TH1C_DECLARATIONNONVIRT(TH1C);

ROOT_TH1D_DECLARATIONNONVIRT(TH1D);

ROOT_TH1F_DECLARATIONNONVIRT(TH1F);

ROOT_TH1I_DECLARATIONNONVIRT(TH1I);

ROOT_TH1S_DECLARATIONNONVIRT(TH1S);

ROOT_TH2C_DECLARATIONNONVIRT(TH2C);

ROOT_TH2D_DECLARATIONNONVIRT(TH2D);

ROOT_TH2F_DECLARATIONNONVIRT(TH2F);

ROOT_TH2I_DECLARATIONNONVIRT(TH2I);

ROOT_TH2POLY_DECLARATIONNONVIRT(TH2Poly);

ROOT_TH2S_DECLARATIONNONVIRT(TH2S);

ROOT_TH3C_DECLARATIONNONVIRT(TH3C);

ROOT_TH3D_DECLARATIONNONVIRT(TH3D);

ROOT_TH3F_DECLARATIONNONVIRT(TH3F);

ROOT_TH3I_DECLARATIONNONVIRT(TH3I);

ROOT_TH3S_DECLARATIONNONVIRT(TH3S);

ROOT_TQOBJECT_DECLARATIONNONVIRT(TQObject);

ROOT_TVIRTUALPAD_DECLARATIONNONVIRT(TVirtualPad);

ROOT_TPAD_DECLARATIONNONVIRT(TPad);

ROOT_TBUTTON_DECLARATIONNONVIRT(TButton);

ROOT_TGROUPBUTTON_DECLARATIONNONVIRT(TGroupButton);

ROOT_TCANVAS_DECLARATIONNONVIRT(TCanvas);

ROOT_TDIALOGCANVAS_DECLARATIONNONVIRT(TDialogCanvas);

ROOT_TINSPECTCANVAS_DECLARATIONNONVIRT(TInspectCanvas);

ROOT_TEVEPAD_DECLARATIONNONVIRT(TEvePad);

ROOT_TSLIDER_DECLARATIONNONVIRT(TSlider);

ROOT_TAPPLICATION_DECLARATIONNONVIRT(TApplication);

ROOT_TRINT_DECLARATIONNONVIRT(TRint);

ROOT_TRANDOM_DECLARATIONNONVIRT(TRandom);

ROOT_TCOLLECTION_DECLARATIONNONVIRT(TCollection);

ROOT_TSEQCOLLECTION_DECLARATIONNONVIRT(TSeqCollection);

ROOT_TOBJARRAY_DECLARATIONNONVIRT(TObjArray);

ROOT_TLIST_DECLARATIONNONVIRT(TList);

ROOT_TKEY_DECLARATIONNONVIRT(TKey);

ROOT_TDATIME_DECLARATIONNONVIRT(TDatime);

ROOT_TVIRTUALHISTPAINTER_DECLARATIONNONVIRT(TVirtualHistPainter);


#ifdef __cplusplus
}
#endif
